RHAP_REP_TEMPLATE
"This template defines the information about the classes in the project. It prints the documentation of  the following elements of the class:\r\n\r\n1) Attributes\r\n2) Operations\r\n3) Relations\r\n4) Events\r\n5) Statechart and Activity Diagrams"
{
version=
{
template=
{
major=2,
minor=0
},
metameta=
{
major=1,
minor=6
},
metamodel=
{
kind="rhapsody",
major=2,
minor=3
}
},
properties=
{
name="",
named_values=[]
},
documents=
[
{
label="",
description="",
preferred_document_type="",
defaults=
{
no_model_data_text=
[
TEXT "<<No Model Data>>"
],
skip_preceding?=false,
skip_following?=false,
omit_if_no_iteration_data?=true,
alternate_text_only?=true,
alternate_title=
[
TEXT "<<No Model Data>>"
],
alternate_text=
[
TEXT "<<No Model Data>>"
],
named_values=[]
},
document_options=
[

],
named_values=[],
nodes=
[
ITERATION 
{
label="Print model documentation(Class Report)",
description="",
iteration=
{
source=ASSOCIATION
{
expr="project",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
FONT_SIZE
[
TEXT "18"
],
JUSTIFICATION CENTERED,
TEXT "Class Report of Model :",
ATTRIBUTE
{
expr="$name of [project]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED,
FONT BOLD? false,
FONT_SIZE
[
TEXT "12"
],
LINE_BREAK
],
COMPOSITE
[
PAGE_BREAK,
TOC
[

],
FONT_SIZE
[
TEXT "10"
],
LINE_BREAK
],
COMPOSITE
[
PAGE_BREAK
]
],
nodes=
[
TEXT 
{
label="Print infomation about model",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print package documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedPackages",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="print infomation about package",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Class Information of Packge:",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print class documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="classes",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about classes",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
TEXT "Class name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for attributes",
description="",
iteration=
{
source=ASSOCIATION
{
expr="attribute",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Attribute information for Class: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about attributes",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for attributes",
description="",
iteration=
{
source=ASSOCIATION
{
expr="attribute",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Description",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print  attributes information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="if $attDeclaration=\"\" then\r\n\tif size [itsType]>0 then\r\n\t\t$name of [itsType] else $name of [type] \r\nelse $attDeclaration",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print heading for operation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Operation information for Class: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about operation",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for operations",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Description",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print operation information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="if size [returnType]>0 then\r\n\t$name of [returnType] else $name of [returns]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print heading for relation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="itsRelations",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Relation information for Class: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about relation",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
TEXT " Relation ",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print event reception documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="eventReceptions",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Event Information for Class :",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about event receptions",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT " ",
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
TEXT "  Event",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print statechart documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="statechart",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Statechart information for Class:",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about statechart",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Print heading for contained elements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Contained Elements",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about contained elements",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for contained elements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print contained element information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print root state documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="rootState",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "State Information",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about root state",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print sub state documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="subStates",
subclass=""
},
condition=NONE,
sort=[],
recursive?=true,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about sub state",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
TEXT "  State",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print statechart sub diagram documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="pictures",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Sub Statechart information for Class:",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about statechart  sub diagrams",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print activity diagram documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="activityDiagram",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "ActivityDiagram information for Class: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about activity diagram",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Print heading for contained elements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Contained Elements",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about contained elements",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for contained elements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print contained element information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print root state documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="rootState",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "State Information ",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about root state",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print sub state documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="subStates",
subclass=""
},
condition=NONE,
sort=[],
recursive?=true,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about sub state",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
TEXT "  State",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print activity sub diagram documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="pictures",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Sub ActivityDiagram information for Class: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about activity sub diagrams",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
},
ITERATION 
{
label="Print nested package documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="nestedPackages",
subclass=""
},
condition=NONE,
sort=[],
recursive?=true,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about nested packages",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Class Information of Sub Packge:",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print class documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="classes",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about classes",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
TEXT "Class name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for attributes",
description="",
iteration=
{
source=ASSOCIATION
{
expr="attribute",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Attribute information for Class: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about attributes",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for attributes",
description="",
iteration=
{
source=ASSOCIATION
{
expr="attribute",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Description",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print  attributes information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="if $attDeclaration=\"\" then\r\n\tif size [itsType]>0 then\r\n\t\t$name of [itsType] else $name of [type] \r\nelse $attDeclaration",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print heading for operation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Operation information for Class: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about operation",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for operations",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Description",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print operation information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="if size [returnType]>0 then\r\n\t$name of [returnType] else $name of [returns]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print heading for relation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="itsRelations",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Relation information for Class: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about relation",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
TEXT " Relation ",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print event reception documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="eventReceptions",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Event Information for Class :",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about event receptions",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT " ",
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
TEXT "  Event",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print statechart documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="statechart",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Statechart information for Class:",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about statechart",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Print heading for contained elements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Contained Elements",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about contained elements",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for contained elements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print contained element information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print root state documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="rootState",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "State Information",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about root state",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print sub state documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="subStates",
subclass=""
},
condition=NONE,
sort=[],
recursive?=true,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about sub state",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
TEXT "  State",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print statechart sub diagram documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="pictures",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Sub Statechart information for Class:",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about statechart  sub diagrams",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print activity diagram documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="activityDiagram",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "ActivityDiagram information for Class: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about activity diagram",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Print heading for contained elements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Contained Elements",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about contained elements",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for contained elements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print contained element information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print root state documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="rootState",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "State Information ",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about root state",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print sub state documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="subStates",
subclass=""
},
condition=NONE,
sort=[],
recursive?=true,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about sub state",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
TEXT "  State",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print activity sub diagram documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="pictures",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Sub ActivityDiagram information for Class: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about activity sub diagrams",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
