RHAP_REP_TEMPLATE
"This is useful for generating a PowerPoint presentation that gives an overview of the classes in Package(s)."
{
version=
{
template=
{
major=2,
minor=0
},
metameta=
{
major=1,
minor=6
},
metamodel=
{
kind="rhapsody",
major=2,
minor=3
}
},
properties=
{
name="",
named_values=[]
},
documents=
[
{
label="",
description="",
preferred_document_type="",
defaults=
{
no_model_data_text=
[
TEXT "<<No Model Data>>"
],
skip_preceding?=false,
skip_following?=false,
omit_if_no_iteration_data?=true,
alternate_text_only?=true,
alternate_title=
[
TEXT "<<No Model Data>>"
],
alternate_text=
[
TEXT "<<No Model Data>>"
],
named_values=[]
},
document_options=
[
{
type="Word",
options=
[

]
},
{
type="PowerPoint",
options=
[

]
},
{
type="Html",
options=
[

]
}
],
named_values=[],
nodes=
[
TEXT 
{
label="Print title page",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
JUSTIFICATION CENTERED,
FONT BOLD? true,
FONT_SIZE
[
TEXT "18"
],
TEXT "Class Overview Presentation for Model: ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Presentation generated on ",
FIELD DATE,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT_SIZE
[
TEXT "10"
],
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[

]
},
ITERATION 
{
label="print package doucmentation",
description="",
iteration=
{
source=OBJECT
{
oid="model->[]",
class="Model"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="print information about packages",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Model name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Document packages that have classes or object model diagrams",
description="",
iteration=
{
source=CLASS "Package",
condition=NONE,
sort=[],
recursive?=false,
separator=
[
PAGE_BREAK
],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print name",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Package ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "(unnamed)"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Display all object model diagrams in package",
description="",
iteration=
{
source=ASSOCIATION
{
expr="objectModelDiagrams",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=
[
PAGE_BREAK
],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="print object model diagrams",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Diagram ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
}
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Document all classes in package",
description="",
iteration=
{
source=ASSOCIATION
{
expr="classes",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=
[
PAGE_BREAK
],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
PAGE_BREAK
]
],
nodes=
[
TEXT 
{
label="Print name",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "ClassName_",
ATTRIBUTE "($name |=> uid this)"
],
BOOKMARK
[
TEXT "ID_",
ATTRIBUTE "uid this"
],
TEXT "Class ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "(unnamed)"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print documentation of current class",
description="",
iteration=
{
source=OBJECT
{
oid="\r\n(*\r\n This returns the enclosing class if the class has any documentation.\r\n Otherwise, this iteration will be empty.  By using this trick, we\r\n can skip the documentation table if there is no documentation.\r\n*)\r\nthis->[] { $documentation <> \"\" }",
class="Class"
},
condition=SOME
SIMPLE OPERATION
{
op="<>",
lhs="$documentation",
rhs=STRING "\"\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=true,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Class Documentation",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="Print documentation",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="replace(`[ \\t\\r\\n]+$`, $descriptionHTML, \"\")",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print heading for the table of attributes",
description="",
iteration=
{
source=ASSOCIATION
{
expr="attribute",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Attributes",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate a table of attributes",
description="",
iteration=
{
source=ASSOCIATION
{
expr="attribute",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Documentation",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print information about an attribute",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
TEXT " ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "(unnamed)"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name of [itsType]"
],
bookmark=
[
TEXT "ClassName_",
ATTRIBUTE "replace (`^const[ \\t\\r\\n]+`, replace (`[ \\t\\r\\n&*]+$`, trim $name of [itsType], \"\"), \"\")"
]
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="replace(`[ \\t\\r\\n]+$`, $descriptionHTML, \"\")",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "no documentation"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print heading for the table of operations",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Operations",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate a table of operations",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Signature",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Documentation",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print information about an operation",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT " "
]
],
nodes=
[
TEXT 
{
label="Print operation signature",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
TEXT " ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="replace(`[ \\t\\r\\n]+$`, $descriptionHTML, \"\")",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "no documentation"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
