RHAP_REP_TEMPLATE
"This template will extract the attribute and operation information for all classes in the model. "
{
version=
{
template=
{
major=2,
minor=0
},
metameta=
{
major=1,
minor=6
},
metamodel=
{
kind="rhapsody",
major=2,
minor=3
}
},
properties=
{
name="",
named_values=[]
},
documents=
[
{
label="",
description="",
preferred_document_type="",
defaults=
{
no_model_data_text=
[
TEXT "<<No Model Data>>"
],
skip_preceding?=false,
skip_following?=false,
omit_if_no_iteration_data?=true,
alternate_text_only?=true,
alternate_title=
[
TEXT "<<No Model Data>>"
],
alternate_text=
[
TEXT "<<No Model Data>>"
],
named_values=[]
},
document_options=
[
{
type="Word",
options=
[

]
}
],
named_values=[],
nodes=
[
ITERATION 
{
label="Class Report",
description="",
iteration=
{
source=CLASS "Class",
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=true
}
],
recursive?=false,
separator=
[
PAGE_BREAK
],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "No classes in model.",
LINE_BREAK
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
JUSTIFICATION CENTERED,
FONT_SIZE
[
TEXT "18"
],
TEXT "Classes in ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
FONT_SIZE
[
TEXT "12"
],
TEXT "Generated on ",
FIELD DATE,
LINE_BREAK
],
COMPOSITE
[
PAGE_BREAK,
JUSTIFICATION LEFT_ALIGNED,
TOC
[

],
LINE_BREAK
],
COMPOSITE
[
PAGE_BREAK,
BEGIN_FOOTER,
JUSTIFICATION CENTERED,
TEXT "- ",
FIELD PAGE_NUMBER,
TEXT " -",
LINE_BREAK
],
COMPOSITE
[
END_FOOTER,
FONT_SIZE
[
TEXT "10"
],
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Class: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Documentation: ",
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "No documentation"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Attributes",
description="",
iteration=
{
source=ASSOCIATION
{
expr="attribute",
subclass=""
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=true
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "No Attributes",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Attributes",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Type: ",
ATTRIBUTE
{
expr="if $attDeclaration=\"\" then\r\n\tif size [itsType]>0 then\r\n\t\t$name of [itsType] else $name of [type] \r\nelse $attDeclaration",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Visibility: ",
ATTRIBUTE
{
expr="$attVisibility",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Documentation: ",
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "No value"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Operations",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=true
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "No Operations",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Operations",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Abstract: ",
ATTRIBUTE
{
expr="$opnIsAbstract",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Const: ",
ATTRIBUTE
{
expr="$isConst",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Static: ",
ATTRIBUTE
{
expr="$opnIsStatic",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Type: ",
ATTRIBUTE
{
expr="if size [returnType]>0 then\r\n\t$name of [returnType] else $name of [returns]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "No value"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Documentation: ",
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "No value"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
}
