RHAP_REP_TEMPLATE
"This template generates a diagram-oriented report. The diagrams this handles are object model, use case, sequence, deployment, collaboration and component diagrams.\r\n\r\n"
{
version=
{
template=
{
major=2,
minor=0
},
metameta=
{
major=1,
minor=6
},
metamodel=
{
kind="rhapsody",
major=2,
minor=3
}
},
properties=
{
name="",
named_values=[]
},
documents=
[
{
label="",
description="",
preferred_document_type="",
defaults=
{
no_model_data_text=
[
TEXT "<<No Model Data>>"
],
skip_preceding?=false,
skip_following?=false,
omit_if_no_iteration_data?=true,
alternate_text_only?=true,
alternate_title=
[
TEXT "<<No Model Data>>"
],
alternate_text=
[
TEXT "<<No Model Data>>"
],
named_values=[]
},
document_options=
[
{
type="Word",
options=
[

]
},
{
type="PowerPoint",
options=
[

]
},
{
type="Html",
options=
[

]
}
],
named_values=[],
nodes=
[
TEXT 
{
label="Title Information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
JUSTIFICATION CENTERED,
FONT BOLD? true,
FONT_SIZE
[
TEXT "18"
],
TEXT "Model Name: ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
PAGE_BREAK,
FONT ITALIC? false,
FONT BOLD? false,
FONT_SIZE
[
TEXT "12"
],
STYLE "Normal",
JUSTIFICATION LEFT_ALIGNED,
TOC
[

],
FONT_SIZE
[
TEXT "10"
],
PAGE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Document all packages in project",
description="",
iteration=
{
source=CLASS "Package",
condition=NONE,
sort=[],
recursive?=false,
separator=
[
PAGE_BREAK
],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Package Information",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="Print name and documentation",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Document component diagrams",
description="",
iteration=
{
source=ASSOCIATION
{
expr="componentDiagrams",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print name, documentation, and diagram",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "(Unnamed Diagram)"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Print table for contained elements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Contained Elements",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print contained element information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=NONE
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Document collaboration diagrams",
description="",
iteration=
{
source=ASSOCIATION
{
expr="communicationDiagrams",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print name, documentation, and diagram",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "(Unnamed Diagram)"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Print table for contained elements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Contained Elements",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print contained element information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=NONE
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Document deployment diagrams",
description="",
iteration=
{
source=ASSOCIATION
{
expr="deploymentDiagrams",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print name, documentation, and diagram",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "(Unnamed Diagram)"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Print table for contained elements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Contained Elements",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print contained element information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=NONE
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Document object model diagrams",
description="",
iteration=
{
source=ASSOCIATION
{
expr="objectModelDiagrams",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print name, documentation, and diagram",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "(Unnamed Diagram)"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Print table for contained elements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Contained Elements",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print contained element information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=NONE
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Document sequence diagrams",
description="",
iteration=
{
source=ASSOCIATION
{
expr="sequenceDiagrams",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print name, documentation, and diagram",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "(Unnamed Diagram)"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Print table for contained elements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Contained Elements",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print contained element information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=NONE
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Document use-case diagrams",
description="",
iteration=
{
source=ASSOCIATION
{
expr="useCaseDiagrams",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print name, documentation, and diagram",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "(Unnamed Diagram)"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Print table for contained elements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Contained Elements",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Element Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print contained element information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=NONE
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
