RHAP_REP_TEMPLATE
"This template lists the requirements, use cases, actors and all diagrams."
{
version=
{
template=
{
major=2,
minor=0
},
metameta=
{
major=1,
minor=6
},
metamodel=
{
kind="rhapsody",
major=2,
minor=3
}
},
properties=
{
name="",
named_values=[]
},
documents=
[
{
label="",
description="",
preferred_document_type="",
defaults=
{
no_model_data_text=
[
TEXT "<<No Model Data>>"
],
skip_preceding?=false,
skip_following?=false,
omit_if_no_iteration_data?=true,
alternate_text_only?=true,
alternate_title=
[
TEXT "<<No Model Data>>"
],
alternate_text=
[
TEXT "<<No Model Data>>"
],
named_values=[]
},
document_options=
[

],
named_values=[],
nodes=
[
TEXT 
{
label="List of Requirements",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
JUSTIFICATION LEFT_ALIGNED,
TEXT "List of Requirements",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="List all Requirements in a table",
description="",
iteration=
{
source=CLASS "Requirement",
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=true,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
NEW_COLUMN
[

],
TEXT "Name",
NEW_COLUMN
[

],
TEXT "Description",
NEW_COLUMN
[

],
TEXT "Owner",
NEW_COLUMN
[

],
TEXT "Status",
NEW_COLUMN
[

],
TEXT "Anchored Model Elements",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Iterate over all requirements",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$specification",
no_attribute_data=NONE
}
]
],
nodes=
[
ITERATION 
{
label="Print Owner Tag",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$name",
rhs=STRING "\"AssignedTo\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="insert all Owner tags",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=NONE
}
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print Status Tag",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$name",
rhs=STRING "\"Status\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="insert all Status tags",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=NONE
}
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print Anchors Hyperlinks",
description="",
iteration=
{
source=ASSOCIATION
{
expr="anchoredElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
TEXT "None"
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
]
],
nodes=
[
TEXT 
{
label="insert all names of anchors",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=NONE
},
TEXT ": ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
TEXT ";",
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
},
TEXT 
{
label="Simple Page Break",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
PAGE_BREAK
]
],
nodes=
[

]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=CLASS "UsecaseDiagram",
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "All instances of class \"UsecaseDiagram\"",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "UsecaseDiagram name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Print usecases and actors information",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=SOME
ADVANCED "$metaClass = \"UseCase\" or $metaClass = \"Actor\"",
sort=
[
{
expr="$metaClass",
ascending?=true,
numeric?=false,
case_sensitive?=true
}
],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Use Cases and Actors for UseCase Diagram: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about usecases and actors",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
TEXT ":",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Description:",
ATTRIBUTE
{
expr="$description",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Sort requirements by effort",
description="",
iteration=
{
source=CLASS "Requirement",
condition=NONE,
sort=
[
{
expr="$value of [tags]{$name = \"EffortEstimation\"}",
ascending?=false,
numeric?=true,
case_sensitive?=true
}
],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "A list of all requirements sorted by effort estimation",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "This secdtion is created by putting a Q expression in the sort UI, using the following Q language syntax:",
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "$value of [tags]{$name = \"EffortEstimation\"}",
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
TEXT "For more information on this syntax, please review the Q language document, section 2.7.3, advanced paths with conditions.",
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Requirement name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT " (Effort : ",
ATTRIBUTE
{
expr="$value of [tags]{$name = \"EffortEstimation\"}",
no_attribute_data=NONE
},
TEXT " man days)",
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
