RHAP_REP_TEMPLATE
"This template defines the information about usecase diagrams, usecases and actors of the project. It lists all the use case diagrams followed by actors and use cases related to the usecase diagram."
{
version=
{
template=
{
major=2,
minor=0
},
metameta=
{
major=1,
minor=6
},
metamodel=
{
kind="rhapsody",
major=2,
minor=3
}
},
properties=
{
name="",
named_values=[]
},
documents=
[
{
label="",
description="",
preferred_document_type="",
defaults=
{
no_model_data_text=
[
TEXT "<<No Model Data>>"
],
skip_preceding?=false,
skip_following?=false,
omit_if_no_iteration_data?=true,
alternate_text_only?=true,
alternate_title=
[
TEXT "<<No Model Data>>"
],
alternate_text=
[
TEXT "<<No Model Data>>"
],
named_values=[]
},
document_options=
[

],
named_values=[],
nodes=
[
ITERATION 
{
label="Print usecase diagram documentation(Use Case Diagrams and Actors, Use Cases)",
description="",
iteration=
{
source=ASSOCIATION
{
expr="[project]->[useCaseDiagrams]",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
JUSTIFICATION CENTERED,
FONT_SIZE
[
TEXT "18"
],
TEXT "Report of Use Case Diagrams and Actors, Use Cases for Model: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
PAGE_BREAK,
JUSTIFICATION LEFT_ALIGNED,
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
FONT_SIZE
[
TEXT "12"
],
TOC
[

],
FONT_SIZE
[
TEXT "10"
],
LINE_BREAK
],
COMPOSITE
[
PAGE_BREAK
]
],
nodes=
[
TEXT 
{
label="Print information about usecase diagrams",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Usecase Diagram: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Print usecases and actors information",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=SOME
ADVANCED "$metaClass = \"UseCase\" or $metaClass = \"Actor\"",
sort=
[
{
expr="$metaClass",
ascending?=true,
numeric?=false,
case_sensitive?=true
}
],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Use Cases and Actors for UseCase Diagram: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about usecases and actors",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
TEXT ":",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Description:",
ATTRIBUTE
{
expr="$description",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print divided meta-file documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="pictures",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about divided meta-file documentation",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Diagram name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
}
