RHAP_REP_TEMPLATE_FRAGMENT
"This sub-template iterates over all the SysMLports and generates information about SysMLPorts in the project."
{
version=
{
template=
{
major=2,
minor=0
},
metameta=
{
major=1,
minor=6
},
metamodel=
{
kind="rhapsody",
major=2,
minor=3
}
},
properties=
{
name="",
named_values=[]
},
documents=
[
{
label="",
description="",
preferred_document_type="",
defaults=
{
no_model_data_text=
[
TEXT "<<No Model Data>>"
],
skip_preceding?=false,
skip_following?=false,
omit_if_no_iteration_data?=true,
alternate_text_only?=true,
alternate_title=
[
TEXT "<<No Model Data>>"
],
alternate_text=
[
TEXT "<<No Model Data>>"
],
named_values=[]
},
document_options=
[
{
type="Word",
options=
[

]
},
{
type="PowerPoint",
options=
[

]
},
{
type="Html",
options=
[

]
}
],
named_values=[],
nodes=
[
ITERATION 
{
label="Print SysMLPort documentation",
description="<=-This sub-template iterates over contained SysMLports and generates information.-=>",
iteration=
{
source=ASSOCIATION
{
expr="sysmlPorts",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "SysMLPort information: ",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about SysMLPort",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$userDefinedMetaClass",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT ": ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Description: ",
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
TEXT "PortDirection: ",
ATTRIBUTE
{
expr="$portDirection",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Reversed: ",
ATTRIBUTE
{
expr="$isReversed",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Multiplicity: ",
ATTRIBUTE
{
expr="$multiplicity",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Visibility: ",
ATTRIBUTE
{
expr="$relVisibility",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Type: ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "if $isTypelessObject=\"true\" then \"Implicit\" else $name of [type]"
],
bookmark=
[
ATTRIBUTE "if $isTypelessObject=\"true\" then \"\" else $GUID of [type]"
]
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Print port attributes documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="[type]->[attribute]",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
TEXT " attributes ",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about attributes",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
TEXT " ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
TEXT ":",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Declaration: ",
ATTRIBUTE
{
expr="$attDeclaration",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Default Value: ",
ATTRIBUTE
{
expr="$attDefaultValue",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Static: ",
ATTRIBUTE
{
expr="$attIsStatic",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
TEXT " ",
LINE_BREAK
],
COMPOSITE
[
TEXT "Visibility: ",
ATTRIBUTE
{
expr="$attVisibility",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Type: ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "if $attDeclaration=\"\" then\r\n\tif size [itsType]>0 then\r\n\t\t$name of [itsType] else $name of [type] \r\nelse \"\""
],
bookmark=
[
ATTRIBUTE "if $attDeclaration=\"\" then\r\n\tif size [itsType]>0 then\r\n\t\t$GUID of [itsType] else $GUID of [type] \r\nelse \"\""
]
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Stereotype: ",
ATTRIBUTE
{
expr="$name of [type]->[stereotype]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Description: ",
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
}
