RHAP_REP_TEMPLATE
"This template generates a document in the style of ClassHierarchyBrowser2.tpl"
{
version=
{
template=
{
major=2,
minor=0
},
metameta=
{
major=1,
minor=6
},
metamodel=
{
kind="rhapsody",
major=2,
minor=3
}
},
properties=
{
name="",
named_values=[]
},
documents=
[
{
label="",
description="",
preferred_document_type="",
defaults=
{
no_model_data_text=
[
TEXT "<<No Model Data>>"
],
skip_preceding?=false,
skip_following?=false,
omit_if_no_iteration_data?=true,
alternate_text_only?=true,
alternate_title=
[
TEXT "<<No Model Data>>"
],
alternate_text=
[
TEXT "<<No Model Data>>"
],
named_values=[]
},
document_options=
[
{
type="Word",
options=
[

]
},
{
type="PowerPoint",
options=
[

]
},
{
type="Html",
options=
[

]
}
],
named_values=[],
nodes=
[
TEXT 
{
label="Title page",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
JUSTIFICATION CENTERED,
FONT BOLD? true,
FONT_SIZE
[
TEXT "18"
],
TEXT "Model Name: ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Web document generated on ",
FIELD DATE,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
PAGE_BREAK,
JUSTIFICATION LEFT_ALIGNED,
LINE_BREAK
],
COMPOSITE
[
FONT_SIZE
[
TEXT "12"
],
TOC
[

],
FONT_SIZE
[
TEXT "10"
],
PAGE_BREAK
]
],
nodes=
[

]
},
ITERATION 
{
label="Document all classes",
description="",
iteration=
{
source=CLASS "Class",
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=
[
PAGE_BREAK
],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print name",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "ClassName_",
ATTRIBUTE "($name |=> uid this)"
],
BOOKMARK
[
TEXT "ID_",
ATTRIBUTE "uid this"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "(unnamed)"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "<HR> ",
FONT BOLD? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "(unnamed)"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
FONT BOLD? false,
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="Print newline ",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
},
ITERATION 
{
label="Generate JavaScript to include graph.js",
description="This ensures that we include \"graph.js\" just once per page.",
iteration=
{
source=OBJECT
{
oid="[]{size [baseClass] <> 0 or size [derivedClass] <> 0}",
class="Class"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "<SCRIPT LANGUAGE=\"JavaScript1.2\" SRC=\"graph.js\"></SCRIPT>",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
}
]
],
nodes=
[
TEXT 
{
label="Generate JavaScript",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate JavaScript to display base classes",
description="",
iteration=
{
source=OBJECT
{
oid="\r\n(* Only generate this section if this class has base classes. *)\r\n[]{size [baseClass] <> 0}",
class="Class"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="(Only serves to group subnodes)",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Generate code to finish up script",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "graph.setRoot(node",
ATTRIBUTE
{
expr="uid this",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT ")",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT " document.writeln(\"<PRE>\")",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT "var printer = new GraphPrinter()",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT "printer.printGraph(graph)",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT "document.writeln(\"</PRE>\")",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
},
TEXT "</SCRIPT>",
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
},
ITERATION 
{
label="Generate JavaScript to display derived classes",
description="",
iteration=
{
source=OBJECT
{
oid="\r\n(* Only generate this section if this class has derived classes. *)\r\n[]{size [derivedClass] <> 0}",
class="Class"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="(Only serves to group subnodes)",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Generate script",
description="",
iteration=
{
source=OBJECT
{
oid="\r\n(*\r\n  This returns this class and all base classes of this class\r\n  (both immediate and indirect) in \"topological order\".\r\n\r\n  For code generation purposes, we need these objects\r\n  sorted topologically in depth-first order.  The following\r\n  expression does exactly that.  The crucial element that\r\n  allows the following expression to work is the fact that\r\n  unique_stable always chooses the *first* occurrence of\r\n  an object.\r\n\r\n  Here is a sketch of a proof that this expression performs a\r\n  topological sort.  First, the expression \r\n\r\n      ^[]->top:^_[derivedClass]->@top\r\n\r\n  returns the objects in depth-first order because of the \"_\"\r\n  traversal option (between the \"^\" and \"[derivedClass]\").\r\n  This means that for any objects B and A, where B depends\r\n  on A, there will be an A that appears after each B.  Hence, if\r\n  we reverse the result of the depth-first traversal, then there\r\n  will be an A that precedes each occurrence of the Bs.\r\n  Now, unique_stable selects the very first occurrence of all\r\n  elements in the source collection, and it preserves the relative\r\n  ordering of the unique elements.  Hence, there will be a unique\r\n  occurrence of A that precedes the unique occurrence of B.\r\n  Since this applies for any arbitrary A and B, this meets the\r\n  requirements for a topological sort.  Q.E.D.\r\n*)\r\nunique_stable reverse ^[]->top:^_[derivedClass]->@top",
class="Class"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "<TABLE WIDTH=100% BGCOLOR=#CCCCCC><TR><TD>",
FONT BOLD? true,
FONT ITALIC? true,
TEXT "Derived Classes",
FONT ITALIC? false,
FONT BOLD? false,
TEXT "</TR></TD></TABLE>",
LINE_BREAK
],
COMPOSITE
[
TEXT "<SCRIPT LANGUAGE=\"JavaScript1.2\">",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT "var re = /\\\"([^\"]*)\\\"/",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT "var graph = new Graph()",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
}
]
],
nodes=
[
TEXT 
{
label="Generate code to create nodes and add successors",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "re.exec('",
CROSSREF
{
xreftext=
[

],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid this"
]
},
TEXT "')",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
}
],
COMPOSITE
[
ATTRIBUTE
{
expr="let name = \"node\" + uid this in\r\n\"var \" + name + \" = graph.createNode(\\\"\" + $name + \"\\\", RegExp.$1)\\r\" \r\n+ \"current = \" + name + \"\\r\"",
no_attribute_data=NONE
}
]
],
nodes=
[
ITERATION 
{
label="Generate code to add successors for derived classes",
description="",
iteration=
{
source=ASSOCIATION
{
expr="derivedClass",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Generate code to add successors",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "current.addSuccessor(node",
ATTRIBUTE
{
expr="uid this",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT ")",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
TEXT 
{
label="Generate code to finish up script",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "graph.setRoot(node",
ATTRIBUTE
{
expr="uid this",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT ")",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT " document.writeln(\"<PRE>\")",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT "var printer = new GraphPrinter()",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT "printer.printGraph(graph)",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT "document.writeln(\"</PRE>\")",
ATTRIBUTE
{
expr="\"\\r\"",
no_attribute_data=NONE
},
TEXT "</SCRIPT>",
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
},
ITERATION 
{
label="Print class documentation",
description="",
iteration=
{
source=OBJECT
{
oid="\r\n(*\r\n This returns the enclosing class if the class has any documentation.\r\n Otherwise, this iteration will be empty.  By using this trick, we\r\n can skip the documentation table if there is no documentation.\r\n*)\r\nthis->[] { $documentation <> \"\" }",
class="Class"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "<TABLE WIDTH=100% BGCOLOR=#CCCCCC><TR><TD>",
FONT BOLD? true,
FONT ITALIC? true,
TEXT "Documentation",
FONT ITALIC? false,
FONT BOLD? false,
TEXT "</TR></TD></TABLE>",
LINE_BREAK
],
COMPOSITE
[
ATTRIBUTE
{
expr="trim $descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="Print documentation",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate a summary of attributes",
description="",
iteration=
{
source=ASSOCIATION
{
expr="attribute",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "<TABLE WIDTH=100% BGCOLOR=#CCCCCC><TR><TD>",
FONT BOLD? true,
FONT ITALIC? true,
TEXT "Summary of Attributes",
FONT ITALIC? false,
FONT BOLD? false,
TEXT "</TR></TD></TABLE>",
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="Print information about an attribute",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT " ",
FONT BOLD? true,
CROSSREF
{
xreftext=
[
ATTRIBUTE "($name of [type] |=> \"{{type}}\")"
],
bookmark=
[
TEXT "ClassName_",
ATTRIBUTE "replace (`^const[ \\t\\r\\n]+`, replace (`[ \\t\\r\\n&*]+$`, trim $name of [type], \"\"), \"\")"
]
},
FONT BOLD? false,
TEXT "   ",
FONT ITALIC? true,
CROSSREF
{
xreftext=
[
ATTRIBUTE "($name |=> \"{{name}}\")"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid this"
]
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate a summary of operations",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "<TABLE WIDTH=100% BGCOLOR=#CCCCCC><TR><TD>",
FONT BOLD? true,
FONT ITALIC? true,
TEXT "Summary of Operations",
FONT ITALIC? false,
FONT BOLD? false,
TEXT "</TR></TD></TABLE>",
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="Print beginning of operation signature",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name of [returnType]"
],
bookmark=
[
TEXT "ClassName_",
ATTRIBUTE "replace (`^const[ \\t\\r\\n]+`, replace (`[ \\t\\r\\n&*]+$`, trim $name of [returnType], \"\"), \"\")"
]
},
FONT BOLD? false,
TEXT "   ",
FONT ITALIC? true,
CROSSREF
{
xreftext=
[
ATTRIBUTE "($name |=>\"{{name}}\")"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid this"
]
},
FONT ITALIC? false,
TEXT "("
]
],
nodes=
[
ITERATION 
{
label="Document parameters",
description="",
iteration=
{
source=ASSOCIATION
{
expr="arguments",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=
[
TEXT ", "
],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print parameter name with cross reference to type",
description="Note: The Q expression (\"replace (`const `, find (`[^&*]*`, $type), \"\")\") allows the types to be linked, even if they are qualified by 'const' or '&' or '*'.\r\n",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
CROSSREF
{
xreftext=
[
ATTRIBUTE "($name of [type] |=>\"{{type}}\")"
],
bookmark=
[
TEXT "ClassName_",
ATTRIBUTE "replace (`^const[ \\t\\r\\n]+`, replace (`[ \\t\\r\\n&*]+$`, trim $name of [type], \"\"), \"\")"
]
},
FONT BOLD? false,
FONT ITALIC? true,
ATTRIBUTE
{
expr="if $name = \"\" then \"\" else \"  \" + $name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
FONT ITALIC? false
]
],
nodes=
[

]
}
]
},
TEXT 
{
label="Close parameter list",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT ")",
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
},
ITERATION 
{
label="Document the details of attributes",
description="",
iteration=
{
source=ASSOCIATION
{
expr="attribute",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=
[
TEXT "<HR>"
],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "<TABLE WIDTH=100% BGCOLOR=#CCCCCC><TR><TD>",
FONT BOLD? true,
FONT ITALIC? true,
TEXT "Details of Attributes",
FONT ITALIC? false,
FONT BOLD? false,
TEXT "</TR></TD></TABLE>",
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="Print information about an attribute",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BOOKMARK
[
TEXT "ID_",
ATTRIBUTE "uid this"
],
TEXT " ",
FONT BOLD? true,
TEXT " ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "($name of [type]|=> \"{{type}}\")"
],
bookmark=
[
TEXT "ClassName_",
ATTRIBUTE "replace (`^const[ \\t\\r\\n]+`, replace (`[ \\t\\r\\n&*]+$`, trim $name of [type], \"\"), \"\")"
]
},
TEXT "  ",
FONT BOLD? false,
FONT ITALIC? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "{{name}}"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
FONT ITALIC? false,
LINE_BREAK
],
COMPOSITE
[
ATTRIBUTE
{
expr="replace(`[ \\t\\r\\n]+$`, $documentation, \"\")",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Document the details of operations",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=
[
TEXT "<HR>"
],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "<TABLE WIDTH=100% BGCOLOR=#CCCCCC><TR><TD>",
FONT BOLD? true,
FONT ITALIC? true,
TEXT "Details of Operations",
FONT ITALIC? false,
FONT BOLD? false,
TEXT "</TR></TD></TABLE>",
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="Print beginning of operation signature",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BOOKMARK
[
TEXT "ID_",
ATTRIBUTE "uid this"
],
TEXT " ",
FONT BOLD? true,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name of [returnType]"
],
bookmark=
[
TEXT "ClassName_",
ATTRIBUTE "replace (`^const[ \\t\\r\\n]+`, replace (`[ \\t\\r\\n&*]+$`, trim $name of [returnType], \"\"), \"\")"
]
},
FONT BOLD? false,
TEXT "   ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="($name |=>\"{{name}}\")",
no_attribute_data=NONE
},
FONT ITALIC? false,
TEXT "("
]
],
nodes=
[
ITERATION 
{
label="Document parameters",
description="",
iteration=
{
source=ASSOCIATION
{
expr="arguments",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=
[
TEXT ", "
],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print parameter name with cross reference to type",
description="Note: The Q expression (\"replace (`const `, find (`[^&*]*`, $type), \"\")\") allows the types to be linked, even if they are qualified by 'const' or '&' or '*'.\r\n",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
CROSSREF
{
xreftext=
[
ATTRIBUTE "($name of [type] |=>\"{{type}}\")"
],
bookmark=
[
TEXT "ClassName_",
ATTRIBUTE "replace (`^const[ \\t\\r\\n]+`, replace (`[ \\t\\r\\n&*]+$`, trim $name of [type], \"\"), \"\")"
]
},
FONT BOLD? false,
FONT ITALIC? true,
ATTRIBUTE
{
expr="if $name = \"\" then \"\" else \"  \" + $name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
FONT ITALIC? false
]
],
nodes=
[

]
}
]
},
TEXT 
{
label="Close parameter list",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT ")",
LINE_BREAK
]
],
nodes=
[

]
},
TEXT 
{
label="Print documentation",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="replace(`[ \\t\\r\\n]+$`, $documentation, \"\")",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
},
TEXT 
{
label="Generate index",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
PAGE_BREAK,
TEXT "Index",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
TEXT "[A]"
],
bookmark=
[
TEXT "Index_Heading_A"
]
},
CROSSREF
{
xreftext=
[
TEXT "[B]"
],
bookmark=
[
TEXT "Index_Heading_B"
]
},
CROSSREF
{
xreftext=
[
TEXT "[C]"
],
bookmark=
[
TEXT "Index_Heading_C"
]
},
CROSSREF
{
xreftext=
[
TEXT "[D]"
],
bookmark=
[
TEXT "Index_Heading_D"
]
},
CROSSREF
{
xreftext=
[
TEXT "[E]"
],
bookmark=
[
TEXT "Index_Heading_E"
]
},
CROSSREF
{
xreftext=
[
TEXT "[F]"
],
bookmark=
[
TEXT "Index_Heading_F"
]
},
CROSSREF
{
xreftext=
[
TEXT "[G]"
],
bookmark=
[
TEXT "Index_Heading_G"
]
},
CROSSREF
{
xreftext=
[
TEXT "[H]"
],
bookmark=
[
TEXT "Index_Heading_H"
]
},
CROSSREF
{
xreftext=
[
TEXT "[I]"
],
bookmark=
[
TEXT "Index_Heading_I"
]
},
CROSSREF
{
xreftext=
[
TEXT "[J]"
],
bookmark=
[
TEXT "Index_Heading_J"
]
},
CROSSREF
{
xreftext=
[
TEXT "[K]"
],
bookmark=
[
TEXT "Index_Heading_K"
]
},
CROSSREF
{
xreftext=
[
TEXT "[L]"
],
bookmark=
[
TEXT "Index_Heading_L"
]
},
CROSSREF
{
xreftext=
[
TEXT "[M]"
],
bookmark=
[
TEXT "Index_Heading_M"
]
},
CROSSREF
{
xreftext=
[
TEXT "[N]"
],
bookmark=
[
TEXT "Index_Heading_N"
]
},
CROSSREF
{
xreftext=
[
TEXT "[O]"
],
bookmark=
[
TEXT "Index_Heading_O"
]
},
CROSSREF
{
xreftext=
[
TEXT "[P]"
],
bookmark=
[
TEXT "Index_Heading_P"
]
},
CROSSREF
{
xreftext=
[
TEXT "[Q]"
],
bookmark=
[
TEXT "Index_Heading_Q"
]
},
CROSSREF
{
xreftext=
[
TEXT "[R]"
],
bookmark=
[
TEXT "Index_Heading_R"
]
},
CROSSREF
{
xreftext=
[
TEXT "[S]"
],
bookmark=
[
TEXT "Index_Heading_S"
]
},
CROSSREF
{
xreftext=
[
TEXT "[T]"
],
bookmark=
[
TEXT "Index_Heading_T"
]
},
CROSSREF
{
xreftext=
[
TEXT "[U]"
],
bookmark=
[
TEXT "Index_Heading_U"
]
},
CROSSREF
{
xreftext=
[
TEXT "[V]"
],
bookmark=
[
TEXT "Index_Heading_V"
]
},
CROSSREF
{
xreftext=
[
TEXT "[W]"
],
bookmark=
[
TEXT "Index_Heading_W"
]
},
CROSSREF
{
xreftext=
[
TEXT "[X]"
],
bookmark=
[
TEXT "Index_Heading_X"
]
},
CROSSREF
{
xreftext=
[
TEXT "[Y]"
],
bookmark=
[
TEXT "Index_Heading_Y"
]
},
CROSSREF
{
xreftext=
[
TEXT "[Z]"
],
bookmark=
[
TEXT "Index_Heading_Z"
]
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Generate entries for A",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[aA]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_A"
],
TEXT "A",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_A"
],
TEXT "A",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for B",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[bB]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_B"
],
TEXT "B",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_B"
],
TEXT "B",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for C",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[cC]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_C"
],
TEXT "C",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_C"
],
TEXT "C",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for D",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[dD]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_D"
],
TEXT "D",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_D"
],
TEXT "D",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for E",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[eE]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_E"
],
TEXT "E",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_E"
],
TEXT "E",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for F",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[fF]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_F"
],
TEXT "F",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_F"
],
TEXT "F",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
JUSTIFICATION CENTERED,
FONT BOLD? true,
FONT_SIZE
[
TEXT "18"
],
TEXT "Model Name: ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
FONT_SIZE
[
TEXT "18"
],
TEXT "Web document generated on ",
FIELD DATE,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
JUSTIFICATION LEFT_ALIGNED,
LINE_BREAK
],
COMPOSITE
[
FONT_SIZE
[
TEXT "12"
],
TOC
[

],
FONT_SIZE
[
TEXT "10"
],
PAGE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for G",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[gG]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_G"
],
TEXT "G",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_G"
],
TEXT "G",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for H",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[hH]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_H"
],
TEXT "H",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_H"
],
TEXT "H",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for I",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[iI]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_I"
],
TEXT "I",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_I"
],
TEXT "I",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for J",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[jJ]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_J"
],
TEXT "J",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_J"
],
TEXT "J",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for K",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[kK]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_K"
],
TEXT "K",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_K"
],
TEXT "K",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for L",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[lL]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_L"
],
TEXT "L",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_L"
],
TEXT "L",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for M",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[mM]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_M"
],
TEXT "M",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_M"
],
TEXT "M",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for N",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[nN]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_N"
],
TEXT "N",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_N"
],
TEXT "N",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for O",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[oO]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_O"
],
TEXT "O",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_O"
],
TEXT "O",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for P",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[pP]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_P"
],
TEXT "P",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_P"
],
TEXT "P",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for Q",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[qQ]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_Q"
],
TEXT "Q",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_Q"
],
TEXT "Q",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for R",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[rR]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_R"
],
TEXT "R",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_R"
],
TEXT "R",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for S",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[sS]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_S"
],
TEXT "S",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_S"
],
TEXT "S",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for T",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[tT]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_T"
],
TEXT "T",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_T"
],
TEXT "T",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for U",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[uU]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_U"
],
TEXT "U",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_U"
],
TEXT "U",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for V",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[vV]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_V"
],
TEXT "V",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_V"
],
TEXT "V",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for W",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[wW]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_W"
],
TEXT "W",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_W"
],
TEXT "W",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for X",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[xX]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_X"
],
TEXT "X",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_X"
],
TEXT "X",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for Y",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[yY]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_Y"
],
TEXT "Y",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_Y"
],
TEXT "Y",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Generate entries for Z",
description="",
iteration=
{
source=OBJECT
{
oid="filter { match (`^[zZ]`, $name of current) } over all \"Class\"",
class="Class"
},
condition=NONE,
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=false
}
],
recursive?=false,
separator=[],
no_iteration_data=TITLE_AND_TEXT
{
title=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_Z"
],
TEXT "Z",
LINE_BREAK
]
],
text=
[
COMPOSITE
[
STYLE "AutoNormal"
]
]
},
table?=false,
create_refs?=false
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
TEXT "Index_Heading_Z"
],
TEXT "Z",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print entries",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
TEXT "ID_",
ATTRIBUTE "uid current"
]
},
TEXT " Class ",
FONT ITALIC? true,
ATTRIBUTE
{
expr="(* Generate the fully-qualified name of a class. *)\r\nlet path = reverse top:^[]->([enclosingClass]->@top; pkg:^[package]->@pkg) in\r\nlet names = map {$name} over path in\r\n  delim (\"::\", names)",
no_attribute_data=NONE
},
FONT ITALIC? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
