RHAP_REP_TEMPLATE
"Displays all classes along with their attributes and operations."
{
version=
{
template=
{
major=2,
minor=0
},
metameta=
{
major=1,
minor=6
},
metamodel=
{
kind="rhapsody",
major=2,
minor=3
}
},
properties=
{
name="",
named_values=[]
},
documents=
[
{
label="",
description="",
preferred_document_type="",
defaults=
{
no_model_data_text=
[
TEXT "<<No Model Data>>"
],
skip_preceding?=false,
skip_following?=false,
omit_if_no_iteration_data?=true,
alternate_text_only?=true,
alternate_title=
[
TEXT "<<No Model Data>>"
],
alternate_text=
[
TEXT "<<No Model Data>>"
],
named_values=[]
},
document_options=
[
{
type="Word",
options=
[

]
}
],
named_values=[],
nodes=
[
ITERATION 
{
label="print class documentation",
description="",
iteration=
{
source=CLASS "Class",
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
FONT_SIZE
[
TEXT "18"
],
JUSTIFICATION CENTERED,
TEXT "Detailed Class Report of Model :",
ATTRIBUTE
{
expr="$name of [project]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
PAGE_BREAK,
JUSTIFICATION LEFT_ALIGNED,
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
FONT_SIZE
[
TEXT "12"
],
TOC
[

],
FONT_SIZE
[
TEXT "10"
],
LINE_BREAK
],
COMPOSITE
[
PAGE_BREAK
]
],
nodes=
[
TEXT 
{
label="print information about classes",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Class name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Concurrency: ",
LINE_BREAK
],
COMPOSITE
[
TEXT "Defined In: ",
LINE_BREAK
],
COMPOSITE
[
TEXT "Stereotype: ",
ATTRIBUTE
{
expr="$name of [stereotype]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "No value"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Description:",
ATTRIBUTE
{
expr="$description",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "No value"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Print attribute documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="attribute",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about attributes",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
TEXT " Attribute",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Type: ",
ATTRIBUTE
{
expr="if $attDeclaration=\"\" then\r\n\tif size [itsType]>0 then\r\n\t\t$name of [itsType] else $name of [type] \r\nelse $attDeclaration",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "Undefined"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Access: ",
ATTRIBUTE
{
expr="$attVisibility",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Description: ",
ATTRIBUTE
{
expr="$description",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "No description"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print operation documentation",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about operations",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
TEXT " Operation",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Type: ",
ATTRIBUTE
{
expr="if size [returnType]>0 then\r\n\t$name of [returnType] else $name of [returns]",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Visibility: ",
ATTRIBUTE
{
expr="$opnVisibility",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Implementation: ",
ATTRIBUTE
{
expr="$opnBody",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "No implementation"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Print heading for arguments",
description="",
iteration=
{
source=ASSOCIATION
{
expr="arguments",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
TEXT " Operation Arguments Table:",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about arguments",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for arguments",
description="",
iteration=
{
source=ASSOCIATION
{
expr="arguments",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED,
NEW_COLUMN
[

],
JUSTIFICATION CENTERED,
FONT BOLD? true,
TEXT "Direction",
FONT BOLD? false,
JUSTIFICATION LEFT_ALIGNED
]
],
nodes=
[
TEXT 
{
label="Print argument information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="if $argDeclaration=\"\" then\r\n\tif size [itsType]>0 then\r\n\t\t$name of [itsType] else $name of [type] \r\nelse $argDeclaration",
no_attribute_data=NONE
},
JUSTIFICATION LEFT_ALIGNED
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$argumentDirection",
no_attribute_data=NONE
},
JUSTIFICATION LEFT_ALIGNED,
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
