RHAP_REP_TEMPLATE
"This prints out metrics for the entire model and also each package in the model"
{
version=
{
template=
{
major=2,
minor=0
},
metameta=
{
major=1,
minor=6
},
metamodel=
{
kind="rhapsody",
major=2,
minor=3
}
},
properties=
{
name="",
named_values=[]
},
documents=
[
{
label="",
description="",
preferred_document_type="",
defaults=
{
no_model_data_text=
[
TEXT "<<No Model Data>>"
],
skip_preceding?=false,
skip_following?=false,
omit_if_no_iteration_data?=true,
alternate_text_only?=true,
alternate_title=
[
TEXT "<<No Model Data>>"
],
alternate_text=
[
TEXT "<<No Model Data>>"
],
named_values=[]
},
document_options=
[
{
type="Word",
options=
[

]
},
{
type="PowerPoint",
options=
[

]
},
{
type="Html",
options=
[

]
}
],
named_values=[],
nodes=
[
TEXT 
{
label="Cover Page",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
STYLE "Normal",
LINE_BREAK,
LINE_BREAK,
LINE_BREAK,
LINE_BREAK,
LINE_BREAK,
LINE_BREAK,
JUSTIFICATION CENTERED,
FONT_SIZE
[
TEXT "20"
],
FONT BOLD? true,
TEXT "Project Metrics",
JUSTIFICATION LEFT_ALIGNED,
PAGE_BREAK
]
],
nodes=
[

]
},
TEXT 
{
label="Print metrics for the model",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Metrics by Model",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BEGIN_TABLE,
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Element Type"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
TEXT "Number of Elements",
FONT BOLD? false,
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
TEXT "Packages"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="size all \"Package\"",
no_attribute_data=NONE
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="if $Language of model->[application]=\"C\" then \"Object_Types\" else \"Classes\"",
no_attribute_data=NONE
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="size all \"Class\"",
no_attribute_data=NONE
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
TEXT "Actors"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="size all \"Actor\"",
no_attribute_data=NONE
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
TEXT "Events"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="size all \"Event\"",
no_attribute_data=NONE
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
TEXT "Diagrams"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="integer size all \"communicationDiagram\" + integer size all \"ComponentDiagram\" + integer size all \"DeploymentDiagram\" + integer size all \"ObjectModelDiagram\" + integer size all \"SequenceDiagram\" + integer size all \"UsecaseDiagram\"",
no_attribute_data=NONE
},
END_TABLE
]
],
nodes=
[

]
},
ITERATION 
{
label="Print metrics for each package",
description="",
iteration=
{
source=CLASS "Package",
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Metrics By Package",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="Metrics information for package",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Package: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BEGIN_TABLE,
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Element Type"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
TEXT "Number of Elements",
FONT BOLD? false,
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
TEXT "Packages"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="size [nestedPackages]",
no_attribute_data=NONE
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="if $Language of model->[application]=\"C\" then \"Object_Types\" else \"Classes\"",
no_attribute_data=NONE
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="size [classes]",
no_attribute_data=NONE
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
TEXT "Actors"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="size [actors]",
no_attribute_data=NONE
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
TEXT "Events"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="size [events]",
no_attribute_data=NONE
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
TEXT "Diagrams"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="integer size [communicationDiagrams] + integer size [componentDiagrams] + integer size [deploymentDiagrams] + integer size [objectModelDiagrams] + integer size [sequenceDiagrams] + integer size [useCaseDiagrams] ",
no_attribute_data=NONE
},
END_TABLE
]
],
nodes=
[

]
}
]
}
]
}
]
}
