RHAP_REP_TEMPLATE
"This template defines the information about the overridden properties. It includes overridden properties of all the metaclasses of the model. It prints the metaclass names followed by a table of overridden properties for each metaclass. It has Q expressions to exclude the metaclasses, which do not have any overridden properties."
{
version=
{
template=
{
major=2,
minor=0
},
metameta=
{
major=1,
minor=6
},
metamodel=
{
kind="rhapsody",
major=2,
minor=3
}
},
properties=
{
name="",
named_values=[]
},
documents=
[
{
label="",
description="",
preferred_document_type="",
defaults=
{
no_model_data_text=
[
TEXT "<<No Model Data>>"
],
skip_preceding?=false,
skip_following?=false,
omit_if_no_iteration_data?=true,
alternate_text_only?=true,
alternate_title=
[
TEXT "<<No Model Data>>"
],
alternate_text=
[
TEXT "<<No Model Data>>"
],
named_values=[]
},
document_options=
[

],
named_values=[],
nodes=
[
TEXT 
{
label="Overridden Properties Information for Classes and Operations",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties Information for Classes and Operations of Model: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print overridden properties of actions",
description="",
iteration=
{
source=CLASS "Action",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of actions",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Action name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of activity diagrams",
description="",
iteration=
{
source=CLASS "ActivityDiagram",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of activity diagrams",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "ActivityDiagram name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of actors",
description="",
iteration=
{
source=CLASS "Actor",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of actors",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Actor name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of arguments",
description="",
iteration=
{
source=CLASS "Argument",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print information about overridden properties of arguments",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Argument name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of association roles",
description="",
iteration=
{
source=CLASS "AssociationRole",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of association roles",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "AssociationRole name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of attributes",
description="",
iteration=
{
source=CLASS "Attribute",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of attributes",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Attribute name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of classes",
description="",
iteration=
{
source=CLASS "Class",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of classes",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Class name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of classifier roles",
description="",
iteration=
{
source=CLASS "ClassifierRole",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of classifier roles",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "ClassifierRole name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of collaborations",
description="",
iteration=
{
source=CLASS "Collaboration",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of collaborations",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Collaboration name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of communication diagrams",
description="",
iteration=
{
source=CLASS "CommunicationDiagram",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of communication diagrams",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "communicationDiagram name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of components",
description="",
iteration=
{
source=CLASS "Component",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of components",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Component name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of component diagrams",
description="",
iteration=
{
source=CLASS "ComponentDiagram",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of component diagrams",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "ComponentDiagram name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of component instances",
description="",
iteration=
{
source=CLASS "ComponentInstance",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of component instances",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "ComponentInstance name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of configurations",
description="",
iteration=
{
source=CLASS "Configuration",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of configurations",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Configuration name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of connectors",
description="",
iteration=
{
source=CLASS "Connector",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of connectors",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Connector name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of constraints",
description="",
iteration=
{
source=CLASS "Constraint",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of constraints",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Constraint name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of dependencies",
description="",
iteration=
{
source=CLASS "Dependency",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of dependencies",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Dependency name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of deployment diagrams",
description="",
iteration=
{
source=CLASS "DeploymentDiagram",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of deployment diagrams",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "DeploymentDiagram name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of events",
description="",
iteration=
{
source=CLASS "Event",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of events",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Event name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of event receptions",
description="",
iteration=
{
source=CLASS "EventReception",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of event receptions",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "EventReception name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of files",
description="",
iteration=
{
source=CLASS "File",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of files",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "File name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of generalizations",
description="",
iteration=
{
source=CLASS "Generalization",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of generalizations",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Generalization name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of guards",
description="",
iteration=
{
source=CLASS "Guard",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of guards",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Guard name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of instances",
description="",
iteration=
{
source=CLASS "Instance",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of instances",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Instance name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of links",
description="",
iteration=
{
source=CLASS "Link",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of links",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Link name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of messages",
description="",
iteration=
{
source=CLASS "Message",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of messages",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Message name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of message points",
description="",
iteration=
{
source=CLASS "MessagePoint",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of message points",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "MessagePoint name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of nodes",
description="",
iteration=
{
source=CLASS "Node",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of nodes",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Node name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of objectmodel diagrams",
description="",
iteration=
{
source=CLASS "ObjectModelDiagram",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of objectmodel diagrams",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "ObjectModelDiagram name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of operations",
description="",
iteration=
{
source=CLASS "Operation",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of operations",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Operation name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of packages",
description="",
iteration=
{
source=CLASS "Package",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of packages",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Package name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of pictures",
description="",
iteration=
{
source=CLASS "Picture",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of pictures",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Picture name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of relations",
description="",
iteration=
{
source=CLASS "Relation",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of relations",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Relation name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of sequence diagrams",
description="",
iteration=
{
source=CLASS "SequenceDiagram",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of sequence diagrams",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "SequenceDiagram name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of states",
description="",
iteration=
{
source=CLASS "State",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of states",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "State name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of statecharts",
description="",
iteration=
{
source=CLASS "Statechart",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of statecharts",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Statechart name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of stereotypes",
description="",
iteration=
{
source=CLASS "Stereotype",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of stereotypes",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Stereotype name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of swimlanes",
description="",
iteration=
{
source=CLASS "Swimlane",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of swimlanes",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Swimlane name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of template instantations",
description="",
iteration=
{
source=CLASS "TemplateInstantiation",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of template instantations",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "TemplateInstantiation name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of template instantation parameters",
description="",
iteration=
{
source=CLASS "TemplateInstantiationParameter",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of template instantation parameters",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "TemplateInstantiationParameter name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of template parameters",
description="",
iteration=
{
source=CLASS "TemplateParameter",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of template parameters",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "TemplateParameter name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of transitions",
description="",
iteration=
{
source=CLASS "Transition",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of transitions",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Transition name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of triggers",
description="",
iteration=
{
source=CLASS "Trigger",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of triggers",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Trigger name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of types",
description="",
iteration=
{
source=CLASS "Type",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of types",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Type name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of usecases",
description="",
iteration=
{
source=CLASS "UseCase",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of usecases",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "UseCase name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of usecase diagrams",
description="",
iteration=
{
source=CLASS "UsecaseDiagram",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of usecase diagrams",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "UsecaseDiagram name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Print overridden properties of variables",
description="",
iteration=
{
source=CLASS "Variable",
condition=SOME
ADVANCED "(there_exists  property1 in [property] =>$isOverridden= \"true\")\r\n ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print Information about overridden properties of variables",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Variable name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Print heading for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Overridden Properties",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print heading information for overridden properties",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Print table for overridden properties",
description="",
iteration=
{
source=ASSOCIATION
{
expr="property",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$isOverridden",
rhs=STRING "\"true\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=SKIP,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Subject",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Type",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Value",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Print overridden properties information",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$subject",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$propertyName",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$type",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
}
]
}
