RHAP_REP_TEMPLATE
"This template uses the SysML profile to provide the underlying stereotypes to generate a document. If the SysML profile is not in the project being documented please see the SysMLModelreport documentation for details of these settings.\r\n\r\nThe main sections the document produces are in the following order (if they exist)\r\n1/ Requirements Diagrams\r\n2/ Use case Diagrams\r\n3/ Sequence Diagrams\r\n4/ Structure Diagrams\r\n5/ Object Model Diagrams\r\n6/ Block Definition Diagrams\r\n7/ Internal Block Diagrams\r\n8/ Parametric Diagrams\r\n9/ Element Dictioanry\r\n10/ Model Configuration\r\n\r\nThe document produced is hyperlinked where appropriate"
{
version=
{
template=
{
major=2,
minor=0
},
metameta=
{
major=1,
minor=6
},
metamodel=
{
kind="rhapsody",
major=2,
minor=3
}
},
properties=
{
name="",
named_values=[]
},
documents=
[
{
label="",
description="",
preferred_document_type="",
defaults=
{
no_model_data_text=
[
TEXT "<<No Model Data>>"
],
skip_preceding?=false,
skip_following?=false,
omit_if_no_iteration_data?=true,
alternate_text_only?=true,
alternate_title=
[
TEXT "<<No Model Data>>"
],
alternate_text=
[
TEXT "<<No Model Data>>"
],
named_values=[]
},
document_options=
[
{
type="Word",
options=
[

]
},
{
type="PowerPoint",
options=
[

]
},
{
type="Html",
options=
[

]
}
],
named_values=[],
nodes=
[
TEXT 
{
label="TOC",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
JUSTIFICATION CENTERED,
FONT_SIZE
[
TEXT "16"
],
TEXT "Project: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT_SIZE
[
TEXT "11"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
TEXT ".rpy",
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT ITALIC? true,
ATTRIBUTE
{
expr="$descriptionHTML of [project]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
FONT ITALIC? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT_SIZE
[
TEXT "14"
],
FIELD DATE,
PAGE_BREAK,
JUSTIFICATION LEFT_ALIGNED,
FONT_SIZE
[
TEXT "12"
],
TOC
[

],
FONT_SIZE
[
TEXT "10"
],
LINE_BREAK
],
COMPOSITE
[
PAGE_BREAK
]
],
nodes=
[

]
},
TEXT 
{
label="Requirements Diagrams",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Requirements Diagrams",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Requirements Diagrams (OMD)",
description="",
iteration=
{
source=CLASS "ObjectModelDiagram",
condition=SOME
ADVANCED "$name of [stereotype]=\"Requirements Diagram\" or $userDefinedMetaClass=\"Requirements Diagram\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Requirements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Requirement"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Requirements",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Specification:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$specification",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Rationals",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Comment"
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$userDefinedMetaClass",
rhs=STRING "\"Rationale\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Rationals",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="UseCases",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="UseCase"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "UseCases",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
STYLE "Normal",
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Actors",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Actor"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Actors",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Packages",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Package"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Packages",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Class",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Class"
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$userDefinedMetaClass",
rhs=STRING "\"Class\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Classes",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="statechart",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "StateChart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="activityDiagram",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Activity Chart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Blocks",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Class"
},
condition=SOME
ADVANCED "$userDefinedMetaClass=\"System Block\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Blocks:",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="statechart",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "StateChart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="activityDiagram",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Activity Chart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
},
ITERATION 
{
label="Requirements Diagrams (UCD)",
description="",
iteration=
{
source=CLASS "UsecaseDiagram",
condition=SOME
ADVANCED "$name of [stereotype]=\"Requirements Diagram\" or $userDefinedMetaClass=\"Requirements Diagram\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Requirements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Requirement"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Requirements",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Specification:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$specification",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
},
ITERATION 
{
label="UseCase Diagrams",
description="",
iteration=
{
source=CLASS "UsecaseDiagram",
condition=SOME
SIMPLE OPERATION
{
op="<>",
lhs="$userDefinedMetaClass",
rhs=STRING "\"Requirements Diagram\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "UseCase Diagrams",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Actors",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$metaClass",
rhs=STRING "\"Actor\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Actors:",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
FONT BOLD? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="UseCases",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="UseCase"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "UseCases:",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Description",
description="",
iteration=
{
source=ASSOCIATION
{
expr="attribute",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="<>",
lhs="$descriptionHTML",
rhs=STRING "\"\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:",
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=NONE
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Tags",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
ADVANCED "$name = \"Preconditions\" and $value <> \"\" or $name = \"Postconditions\" and $value <> \"\" or $name = \"NonFunctionalRequirements\" and $value <> \"\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Scenarios",
description="",
iteration=
{
source=ASSOCIATION
{
expr="describingDiagrams",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=true,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Description",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
}
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Activity Diagrams",
description="",
iteration=
{
source=ASSOCIATION
{
expr="activityDiagram",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Packages",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Package"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Packages:",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Flows",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Flow"
},
condition=SOME
SIMPLE OPERATION
{
op="<>",
lhs="$name",
rhs=STRING "\"\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Flows:",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "Source: ",
ATTRIBUTE
{
expr="$name of [end1]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name of [end1Port]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Sink: ",
ATTRIBUTE
{
expr="$name of [end2]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name of [end2Port]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Sequence Diagrams",
description="",
iteration=
{
source=CLASS "SequenceDiagram",
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
PAGE_BREAK,
TEXT "SequenceDiagrams",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
TEXT " ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Structure Diagrams",
description="",
iteration=
{
source=CLASS "StructureDiagram",
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$userDefinedMetaClass",
rhs=STRING "\"StructureDiagram\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "StructureDiagrams",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Blocks",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Class"
},
condition=SOME
ADVANCED "$userDefinedMetaClass=\"System Block\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Blocks:",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="statechart",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "StateChart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="activityDiagram",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Activity Chart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Class",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Class"
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$userDefinedMetaClass",
rhs=STRING "\"Class\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Classes",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="statechart",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "StateChart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="activityDiagram",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Activity Chart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
},
ITERATION 
{
label="Object Model Diagrams",
description="",
iteration=
{
source=CLASS "ObjectModelDiagram",
condition=SOME
ADVANCED "$userDefinedMetaClass=\"ObjectModelDiagram\"\r\nand $name of [stereotype]<>\"Requirements Diagram\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "Object Model Diagrams",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Blocks",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Class"
},
condition=SOME
ADVANCED "$userDefinedMetaClass=\"System Block\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Blocks:",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="statechart",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "StateChart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="activityDiagram",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Activity Chart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Class",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Class"
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$userDefinedMetaClass",
rhs=STRING "\"Class\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Classes",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="statechart",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "StateChart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="activityDiagram",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Activity Chart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
},
ITERATION 
{
label="Block Definition Diagrams",
description="",
iteration=
{
source=CLASS "ObjectModelDiagram",
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$userDefinedMetaClass",
rhs=STRING "\"Block Definition Diagram\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "Block Definition Diagrams",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Blocks",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Class"
},
condition=SOME
ADVANCED "$userDefinedMetaClass=\"System Block\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Blocks:",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="statechart",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "StateChart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="activityDiagram",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Activity Chart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Class",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Class"
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$userDefinedMetaClass",
rhs=STRING "\"Class\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Classes",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="statechart",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "State Chart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="activityDiagram",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Activity Chart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Object",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Instance"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Parts",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID of [otherClass]"
]
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="[otherClass]->[activityDiagram]",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Activity Chart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="[otherClass]->[statechart]",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "StateChart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Flows",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Flow"
},
condition=SOME
SIMPLE OPERATION
{
op="<>",
lhs="$name",
rhs=STRING "\"\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Flows:",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "Source: ",
ATTRIBUTE
{
expr="$name of [end1]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name of [end1Port]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Sink: ",
ATTRIBUTE
{
expr="$name of [end2]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name of [end2Port]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Ports",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Port"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Ports:",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID of [owner]"
]
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="SysMLPorts",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="SysMLPort"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID of [owner]"
]
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Class"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Interfaces:",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="InternalBlockDiagrams",
description="",
iteration=
{
source=CLASS "StructureDiagram",
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$userDefinedMetaClass",
rhs=STRING "\"Internal Block Diagram\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "Internal Block Diagrams",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Iterate over objects",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Instance"
},
condition=SOME
ADVANCED "$metaClass = \"Class\" or $metaClass = \"Object\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
ATTRIBUTE
{
expr="$userDefinedMetaClass",
no_attribute_data=NONE
},
TEXT ": ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID of [otherClass]"
]
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="[otherClass]->[statechart]",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "StateChart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="[otherClass]->[activityDiagram]",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Activity Chart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Iterate over classes",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Classifier"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
ATTRIBUTE
{
expr="$userDefinedMetaClass",
no_attribute_data=NONE
},
TEXT ": ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="statechart",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "StateChart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="activityDiagram",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Activity Chart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Flows",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Flow"
},
condition=SOME
SIMPLE OPERATION
{
op="<>",
lhs="$name",
rhs=STRING "\"\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Flows:",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "Source: ",
ATTRIBUTE
{
expr="$name of [end1]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name of [end1Port]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Sink: ",
ATTRIBUTE
{
expr="$name of [end2]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name of [end2Port]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Classes",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Class"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
ATTRIBUTE
{
expr="$userDefinedMetaClass",
no_attribute_data=NONE
},
TEXT ": ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="statechart",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "StateChart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="activityDiagram",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Activity Chart of ",
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Ports",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass="Port"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Ports:",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID of [owner]"
]
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Parametric Diagrams",
description="",
iteration=
{
source=CLASS "ObjectModelDiagram",
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$userDefinedMetaClass",
rhs=STRING "\"Parametric Diagram\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "Parametic Diagrams",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="containedElements",
subclass=""
},
condition=SOME
ADVANCED "$metaClass = \"Class\" or $metaClass = \"Attribute\" or $metaClass = \"Object\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
ATTRIBUTE
{
expr="$userDefinedMetaClass",
no_attribute_data=NONE
},
TEXT ": ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
FONT BOLD? false,
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
TEXT 
{
label="Element Dictionary",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "Element Dictionary",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Classes",
description="",
iteration=
{
source=CLASS "Class",
condition=SOME
ADVANCED "not match (`.*implicitContract`, $name)  or not match (`.*implicitType`, $name)  ",
sort=
[
{
expr="$userDefinedMetaClass=\"System Block\"",
ascending?=false,
numeric?=false,
case_sensitive?=true
},
{
expr="$userDefinedMetaClass = \"Class\"",
ascending?=false,
numeric?=false,
case_sensitive?=true
},
{
expr="$userDefinedMetaClass = \"Parametric Constraint\"",
ascending?=false,
numeric?=false,
case_sensitive?=true
},
{
expr="$userDefinedMetaClass = \"Interface\"",
ascending?=false,
numeric?=false,
case_sensitive?=true
}
],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
TEXT " ",
ATTRIBUTE
{
expr="$userDefinedMetaClass",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT ": ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Attributes",
description="",
iteration=
{
source=ASSOCIATION
{
expr="attribute",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Attributes:",
FONT BOLD? false,
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT " : ",
ATTRIBUTE
{
expr="$name of [itsType]",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
ATTRIBUTE
{
expr="$attDeclaration",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Operations",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Operations:",
FONT BOLD? false,
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$signature",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
ATTRIBUTE
{
expr="if ($opnBody)=\"\" then \"\" else (\"Implementation:\") ",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
ATTRIBUTE
{
expr="$opnBody",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Event Receptions",
description="",
iteration=
{
source=ASSOCIATION
{
expr="eventReceptions",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Event Receptions:",
FONT BOLD? false,
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$signature",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Components",
description="",
iteration=
{
source=ASSOCIATION
{
expr="components",
subclass=""
},
condition=SOME
ADVANCED "not match (`.*implicitContract`, $name)  or not match (`.*implicitType`, $name)  ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Components:",
FONT BOLD? false,
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID of [otherClass]"
]
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Ports",
description="",
iteration=
{
source=ASSOCIATION
{
expr="ports",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Ports",
FONT BOLD? false,
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
LINE_BREAK
],
COMPOSITE
[
TEXT "Port: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Provided Interfaces",
description="",
iteration=
{
source=ASSOCIATION
{
expr="providedInterfaces",
subclass=""
},
condition=SOME
ADVANCED "not match (`.*implicitContract`, $name)  and size [operation]  <> 0",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
STYLE "Normal",
FONT BOLD? true,
TEXT "Provided Interface: ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
FONT BOLD? false,
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="Event Receptions",
description="",
iteration=
{
source=ASSOCIATION
{
expr="eventReceptions",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
STYLE "Normal",
TEXT "Receptions: ",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$signature",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Operations",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
STYLE "Normal",
TEXT "Operations: ",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$signature",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Required Interfaces",
description="",
iteration=
{
source=ASSOCIATION
{
expr="requiredInterfaces",
subclass=""
},
condition=SOME
ADVANCED "not match (`.*implicitContract`, $name)  and size [operation]  <> 0",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
STYLE "Normal",
FONT BOLD? true,
LINE_BREAK
],
COMPOSITE
[
TEXT "Required Interface: ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
FONT BOLD? false,
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Event Receptions",
description="",
iteration=
{
source=ASSOCIATION
{
expr="eventReceptions",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
STYLE "Normal",
TEXT "Receptions: ",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$signature",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Operations",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
STYLE "Normal",
TEXT "Operations: ",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$signature",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
},
ITERATION 
{
label="SysMLPorts",
description="",
iteration=
{
source=ASSOCIATION
{
expr="sysmlPorts",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Port: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Parts",
description="",
iteration=
{
source=CLASS "Instance",
condition=SOME
ADVANCED "not match (`.*implicitContract`, $name)  or not match (`.*implicitType`, $name)  ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$userDefinedMetaClass",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT ": ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description:   ",
FONT BOLD? false,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=SKIP
}
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Attributes",
description="",
iteration=
{
source=ASSOCIATION
{
expr="[otherClass]->[attribute]",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Attributes:",
FONT BOLD? false,
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT " : ",
ATTRIBUTE
{
expr="$name of [itsType]",
no_attribute_data=NONE
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Operations",
description="",
iteration=
{
source=ASSOCIATION
{
expr="[otherClass]->[operation]",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Operations:",
FONT BOLD? false,
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$signature",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
ATTRIBUTE
{
expr="if ($opnBody)=\"\" then \"\" else (\"Implementation:\") ",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
ATTRIBUTE
{
expr="$opnBody",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Event Receptions",
description="",
iteration=
{
source=ASSOCIATION
{
expr="[otherClass]->[eventReceptions]",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Event Receptions:",
FONT BOLD? false,
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$signature",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Components",
description="",
iteration=
{
source=ASSOCIATION
{
expr="otherClass",
subclass=""
},
condition=SOME
ADVANCED "not match (`.*implicitContract`, $name)  or not match (`.*implicitType`, $name)  ",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Components:",
FONT BOLD? false,
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="blocks",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID of [otherClass]"
]
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="components",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID of [otherClass]"
]
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Ports",
description="",
iteration=
{
source=ASSOCIATION
{
expr="[otherClass]->[ports]",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Ports",
FONT BOLD? false,
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Port: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Provided Interfaces",
description="",
iteration=
{
source=ASSOCIATION
{
expr="providedInterfaces",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
STYLE "Normal",
FONT BOLD? true,
TEXT "Provided Interface: ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
FONT BOLD? false,
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="eventReceptions",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$signature",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
STYLE "Normal",
TEXT "Operations: ",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$signature",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Required Interfaces",
description="",
iteration=
{
source=ASSOCIATION
{
expr="requiredInterfaces",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
STYLE "Normal",
FONT BOLD? true,
LINE_BREAK
],
COMPOSITE
[
TEXT "Required Interface: ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
FONT BOLD? false,
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="eventReceptions",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
STYLE "Normal",
TEXT "Receptions: ",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$signature",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
STYLE "Normal",
TEXT "Operations: ",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$signature",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
},
TEXT 
{
label="Model Configuration",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
TEXT "Model Configuration",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="if ($CMHeader of [project]) =\"\" then \"\" else (\"Version:\") ",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
ATTRIBUTE
{
expr="$CMHeader of [project]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
}
]
],
nodes=
[

]
}
]
}
]
}
