RHAP_REP_TEMPLATE
"Displays all Table/Matrix views in the model."
{
version=
{
template=
{
major=2,
minor=0
},
metameta=
{
major=1,
minor=6
},
metamodel=
{
kind="rhapsody",
major=2,
minor=3
}
},
properties=
{
name="",
named_values=[]
},
documents=
[
{
label="",
description="",
preferred_document_type="",
defaults=
{
no_model_data_text=
[
TEXT "<<No Model Data>>"
],
skip_preceding?=false,
skip_following?=false,
omit_if_no_iteration_data?=true,
alternate_text_only?=true,
alternate_title=
[
TEXT "<<No Model Data>>"
],
alternate_text=
[
TEXT "<<No Model Data>>"
],
named_values=[]
},
document_options=
[
{
type="Word",
options=
[

]
},
{
type="PowerPoint",
options=
[

]
},
{
type="Html",
options=
[

]
}
],
named_values=[],
nodes=
[
TEXT 
{
label="Document all Tabular views in model",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
JUSTIFICATION CENTERED,
FONT BOLD? true,
FONT ITALIC? true,
FONT_SIZE
[
TEXT "18"
],
LINE_BREAK
],
COMPOSITE
[
TEXT "Tabular views in Model: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
FONT ITALIC? false,
FONT BOLD? false,
LINE_BREAK
],
COMPOSITE
[
FONT_SIZE
[
TEXT "12"
],
TEXT "Generated on ",
FIELD DATE,
LINE_BREAK
],
COMPOSITE
[
PAGE_BREAK,
JUSTIFICATION LEFT_ALIGNED,
BEGIN_FOOTER,
JUSTIFICATION CENTERED,
FIELD PAGE_NUMBER,
LINE_BREAK
],
COMPOSITE
[
END_FOOTER,
LINE_BREAK
],
COMPOSITE
[
JUSTIFICATION LEFT_ALIGNED,
LINE_BREAK
],
COMPOSITE
[
TOC
[

],
FONT_SIZE
[
TEXT "10"
],
PAGE_BREAK
]
],
nodes=
[
ITERATION 
{
label="document Table views",
description="",
iteration=
{
source=CLASS "TableView",
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "All instances of TableView",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="print information on Table view",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "TableView: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Based on layout: ",
ATTRIBUTE
{
expr="$name of [itsTableLayout]",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT " in ",
ATTRIBUTE
{
expr="$name of [itsTableLayout]->[owner]",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Scope: ",
ATTRIBUTE
{
expr="$name of [itsScope]",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Element types: ",
ATTRIBUTE
{
expr="$elementTypes of [itsTableLayout]",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Columns: ",
ATTRIBUTE
{
expr="$columns of [itsTableLayout]",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="pictures",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Picture: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="Document Matrix views",
description="",
iteration=
{
source=CLASS "MatrixView",
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "All instances of MatrixView",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="print information on Matrix view",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "MatrixView name: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Base on Matrix layout: ",
ATTRIBUTE
{
expr="$name of [itsMatrixLayout]",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT " in ",
ATTRIBUTE
{
expr="$name of [itsMatrixLayout]->[owner]",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "From element types: ",
ATTRIBUTE
{
expr="$fromElementTypes of [itsMatrixLayout]",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "To element types: ",
ATTRIBUTE
{
expr="$toElementTypes of [itsMatrixLayout]",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
TEXT "Cell element types: ",
ATTRIBUTE
{
expr="$cellElementTypes of [itsMatrixLayout]",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="pictures",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Picture: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
}
]
}
