RHAP_REP_TEMPLATE
"This template uses the TestingProfile to provide the underlying stereotypes to generate a document, that shows the relation between requirements und test cases e.g. to examine, if a requirement is covered by one or more test cases."
{
version=
{
template=
{
major=2,
minor=0
},
metameta=
{
major=1,
minor=6
},
metamodel=
{
kind="rhapsody",
major=2,
minor=3
}
},
properties=
{
name="",
named_values=[]
},
documents=
[
{
label="",
description="",
preferred_document_type="",
defaults=
{
no_model_data_text=
[
TEXT "<<No Model Data>>"
],
skip_preceding?=false,
skip_following?=false,
omit_if_no_iteration_data?=true,
alternate_text_only?=true,
alternate_title=
[
TEXT "<<No Model Data>>"
],
alternate_text=
[
TEXT "<<No Model Data>>"
],
named_values=[]
},
document_options=
[
{
type="PowerPoint",
options=
[

]
},
{
type="Html",
options=
[
{
name="StyleSheet",
value=STRING "osc.css"
}
]
}
],
named_values=[],
nodes=
[
TEXT 
{
label="TestRequirementCoverageReport",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="FirstPage",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Requirement Coverage Report of Model ",
ATTRIBUTE
{
expr="$displayName of [project]",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "(Report created at ",
FIELD DATE,
TEXT " at ",
FIELD TIME,
TEXT ")",
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
BEGIN_TABLE,
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Project",
FONT BOLD? false
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$filename of [project]",
no_attribute_data=NONE
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Directory",
FONT BOLD? false
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$currentDirectory of [project]",
no_attribute_data=NONE
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Language",
FONT BOLD? false
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$Language of [project]",
no_attribute_data=NONE
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description",
FONT BOLD? false
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$description of [project]",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "no description"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
END_TABLE,
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
},
TEXT 
{
label="PageBreak",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
PAGE_BREAK,
LINE_BREAK
]
],
nodes=
[

]
},
ITERATION 
{
label="LLR Package",
description="",
iteration=
{
source=CLASS "Package",
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$name of [stereotype]",
rhs=STRING "\"LLR\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="LLR Requirements iteration",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="RequirementsTable_Begin",
description="",
iteration=
{
source=CLASS "Requirement",
condition=SOME
SIMPLE OPERATION
{
op="<>",
lhs="$specification",
rhs=STRING "\"\""
},
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=true
}
],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "All Requirements (Low-Level)",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BEGIN_TABLE,
NEW_ROW
[

],
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Specification",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Covered by Test Case",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="Requirement",
description="[NEW COLUMN][ALIGNMENT: CENTER][BOOKMARK: name=($GUID)]$name;\"\"[ALIGNMENT: ALIGN LEFT][NEW COLUMN][ALIGNMENT: CENTER]if size [returnType]>0 then\r\n\t$name of [returnType] else $name of [returns];\"\"[ALIGNMENT: ALIGN LEFT][NEW COLUMN][ALIGNMENT: CENTER]$descriptionHTML;\"\"[ALIGNMENT: ALIGN LEFT]",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_ROW
[

]
]
],
nodes=
[
TEXT 
{
label="RequirementName",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
}
]
],
nodes=
[

]
},
TEXT 
{
label="RequirementSpecification",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$specification",
no_attribute_data=NONE
}
]
],
nodes=
[

]
},
TEXT 
{
label="CoveredByTestCase",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
]
],
nodes=
[
ITERATION 
{
label="ModelElements",
description="",
iteration=
{
source=OBJECT
{
oid="filter { $GUID of [dependsOn] = $GUID of this and ($name of [stereotype]=\"trace\" or $userDefinedMetaClass of this =\"trace\")} over all \"Dependency\" ",
class="Dependency"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="TestCases",
description="",
iteration=
{
source=OBJECT
{
oid="filter { $GUID of [dependsOn] = $GUID of this->[dependent] and ($name of [dependent]->[stereotype]=\"TestCase\" or $userDefinedMetaClass of [dependent] =\"TestCase\")} over all \"Dependency\" ",
class="Dependency"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name of [dependent]"
],
bookmark=
[
ATTRIBUTE "$GUID of [dependent]"
]
},
LINE_BREAK
],
COMPOSITE
[
TEXT "("
]
],
nodes=
[
ITERATION 
{
label="TestResults",
description="",
iteration=
{
source=ASSOCIATION
{
expr="[dependent]->[controlledfiles]",
subclass=""
},
condition=SOME
ADVANCED "$name of [stereotype]=\"TestResult\" or $userDefinedMetaClass=\"TestResult\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\leftonlycolor.jpg"
],
location=
[
TEXT "red"
]
},
TEXT " not executed",
FONT BOLD? false,
TEXT ")",
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="iterate over TestResults",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="GREENIcon",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
ADVANCED "$name=\"Verdict\" and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\") and ($value =\"Passed\")",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Icon",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\rightonlycolor.jpg"
],
location=
[
TEXT "red"
]
}
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="REDIcon",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
ADVANCED "$name=\"Verdict\" and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\") and $value <>\"Passed\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Icon",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\diffcolor.jpg"
],
location=
[
TEXT "red"
]
}
]
],
nodes=
[

]
}
]
},
TEXT 
{
label="Tags",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT " ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "$value of  [tags] { $name = \"Verdict\" and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\")} "
],
bookmark=
[
ATTRIBUTE "$fullPathFileName"
]
},
TEXT ")",
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
},
TEXT 
{
label="RequirementsTable_End",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
END_TABLE
]
],
nodes=
[

]
},
TEXT 
{
label="PageBreak",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
PAGE_BREAK,
LINE_BREAK
]
],
nodes=
[

]
},
ITERATION 
{
label="RequirementsDetails",
description="",
iteration=
{
source=CLASS "Requirement",
condition=SOME
SIMPLE OPERATION
{
op="<>",
lhs="$specification",
rhs=STRING "\"\""
},
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=true
}
],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="Requirement",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Requirement ",
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="TestContextTable_Begin",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BEGIN_TABLE,
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description",
FONT BOLD? false
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "no description"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Specification",
FONT BOLD? false
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$specification",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "no specification"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Package",
FONT BOLD? false
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Full Path",
FONT BOLD? false
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$fullPathName",
no_attribute_data=NONE
}
]
],
nodes=
[
TEXT 
{
label="CoveredByTestCase",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_ROW
[

],
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Covered by Test Case",
FONT BOLD? false,
NEW_COLUMN
[

]
]
],
nodes=
[
ITERATION 
{
label="ModelElements",
description="",
iteration=
{
source=OBJECT
{
oid="filter { $GUID of [dependsOn] = $GUID of this and ($name of [stereotype]=\"trace\" or $userDefinedMetaClass of this =\"trace\")} over all \"Dependency\" ",
class="Dependency"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="TestCases",
description="",
iteration=
{
source=OBJECT
{
oid="filter { $GUID of [dependsOn] = $GUID of this->[dependent] and ($name of [dependent]->[stereotype]=\"TestCase\" or $userDefinedMetaClass of [dependent] =\"TestCase\")} over all \"Dependency\" ",
class="Dependency"
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name of [dependent]"
],
bookmark=
[
ATTRIBUTE "$GUID of [dependent]"
]
},
LINE_BREAK
],
COMPOSITE
[
TEXT "("
]
],
nodes=
[
ITERATION 
{
label="TestResults",
description="",
iteration=
{
source=ASSOCIATION
{
expr="[dependent]->[controlledfiles]",
subclass=""
},
condition=SOME
ADVANCED "$name of [stereotype]=\"TestResult\" or $userDefinedMetaClass=\"TestResult\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\leftonlycolor.jpg"
],
location=
[
TEXT "red"
]
},
TEXT " not executed",
FONT BOLD? false,
TEXT ")",
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="iterate over TestResults",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="GREENIcon",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
ADVANCED "$name=\"Verdict\" and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\") and ($value =\"Passed\")",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Icon",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\rightonlycolor.jpg"
],
location=
[
TEXT "red"
]
}
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="REDIcon",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
ADVANCED "$name=\"Verdict\" and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\") and $value <>\"Passed\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Icon",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\diffcolor.jpg"
],
location=
[
TEXT "red"
]
}
]
],
nodes=
[

]
}
]
},
TEXT 
{
label="Tags",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT " ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "$value of  [tags] { $name = \"Verdict\" and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\")} "
],
bookmark=
[
ATTRIBUTE "$fullPathFileName"
]
},
TEXT ")",
LINE_BREAK
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
},
ITERATION 
{
label="AnchoredElements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="anchoredElements",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_ROW
[

],
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Anchored Elements",
FONT BOLD? false,
NEW_COLUMN
[

],
TEXT "no anchored elements"
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_ROW
[

],
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Anchored Elements",
FONT BOLD? false,
NEW_COLUMN
[

]
]
],
nodes=
[
TEXT 
{
label="AnchoredElement",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
}
],
COMPOSITE
[
TEXT " (",
ATTRIBUTE
{
expr="$metaClass",
no_attribute_data=NONE
},
TEXT "), "
]
],
nodes=
[

]
}
]
}
]
},
TEXT 
{
label="TestContextTable_End",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
END_TABLE
]
],
nodes=
[

]
}
]
}
]
},
TEXT 
{
label="PageBreak",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
PAGE_BREAK,
LINE_BREAK
]
],
nodes=
[

]
},
ITERATION 
{
label="TestCasesTable_Begin",
description="",
iteration=
{
source=CLASS "Operation",
condition=SOME
ADVANCED "$name of [stereotype]=\"TestCase\" or $userDefinedMetaClass=\"TestCase\"",
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=true
}
],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BEGIN_TABLE,
NEW_ROW
[

],
NEW_COLUMN
[

],
TEXT "no test cases defined"
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "All Test Cases",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BEGIN_TABLE,
NEW_ROW
[

],
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Test Objective",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Requirement",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Test Execution Result",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="TestCase",
description="[NEW COLUMN][ALIGNMENT: CENTER][BOOKMARK: name=($GUID)]$name;\"\"[ALIGNMENT: ALIGN LEFT][NEW COLUMN][ALIGNMENT: CENTER]if size [returnType]>0 then\r\n\t$name of [returnType] else $name of [returns];\"\"[ALIGNMENT: ALIGN LEFT][NEW COLUMN][ALIGNMENT: CENTER]$descriptionHTML;\"\"[ALIGNMENT: ALIGN LEFT]",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_ROW
[

]
]
],
nodes=
[
TEXT 
{
label="TestCaseName",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
},
TEXT " "
]
],
nodes=
[

]
},
ITERATION 
{
label="TestObjectives",
description="",
iteration=
{
source=ASSOCIATION
{
expr="itsDependencies",
subclass=""
},
condition=SOME
ADVANCED "$name of [stereotype]=\"TestObjective\" or $userDefinedMetaClass=\"TestObjective\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
TEXT "---"
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name of [dependsOn]"
],
bookmark=
[
ATTRIBUTE "$GUID of [dependsOn]"
]
},
TEXT " (",
ATTRIBUTE
{
expr="$userDefinedMetaClass of [dependsOn]",
no_attribute_data=NONE
},
TEXT ")",
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Requirements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="itsDependencies",
subclass=""
},
condition=SOME
ADVANCED "$name of [stereotype]=\"TestObjective\" or $userDefinedMetaClass=\"TestObjective\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
TEXT "---"
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="[dependsOn]->[itsDependencies]",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$name of [stereotype]",
rhs=STRING "\"trace\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name of [dependsOn]"
],
bookmark=
[
ATTRIBUTE "$GUID of [dependsOn]"
]
},
TEXT " (",
ATTRIBUTE
{
expr="$userDefinedMetaClass of [dependsOn]",
no_attribute_data=NONE
},
TEXT ")",
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="TestResults",
description="",
iteration=
{
source=ASSOCIATION
{
expr="controlledfiles",
subclass=""
},
condition=SOME
ADVANCED "$name of [stereotype]=\"TestResult\" or $userDefinedMetaClass=\"TestResult\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\leftonlycolor.jpg"
],
location=
[
TEXT "red"
]
},
TEXT " not executed",
FONT BOLD? false
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
TEXT " "
]
],
nodes=
[
TEXT 
{
label="iterate over TestResults",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="GREENIcon",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
ADVANCED "($name = \"Verdict\") and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\") and ($value =\"Passed\")",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Icon",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\rightonlycolor.jpg"
],
location=
[
TEXT "red"
]
}
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="REDIcon",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
ADVANCED "($name = \"Verdict\") and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\") and ($value <> \"Passed\")",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Icon",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\diffcolor.jpg"
],
location=
[
TEXT "red"
]
}
]
],
nodes=
[

]
}
]
},
TEXT 
{
label="Tags",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT " ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "$value of  [tags] { $name = \"Verdict\" and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\") }\r\n"
],
bookmark=
[
ATTRIBUTE "$fullPathFileName"
]
}
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
},
TEXT 
{
label="TestCasesTable_End",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
END_TABLE
]
],
nodes=
[

]
},
TEXT 
{
label="PageBreak",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
PAGE_BREAK,
LINE_BREAK
]
],
nodes=
[

]
},
ITERATION 
{
label="TestCasesDetailsByPackage",
description="",
iteration=
{
source=CLASS "Package",
condition=SOME
ADVANCED "$name of [stereotype]=\"TestPackage\" or $userDefinedMetaClass=\"TestPackage\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Package",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="TestContexts",
description="",
iteration=
{
source=ASSOCIATION
{
expr="classes",
subclass=""
},
condition=SOME
ADVANCED "$name of [stereotype]=\"TestContext\" or $userDefinedMetaClass=\"TestContext\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="TestContext",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Test Context ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="TestContextTable_Begin",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BEGIN_TABLE,
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description",
FONT BOLD? false
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "no description"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Test Package",
FONT BOLD? false
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name of [owner]",
no_attribute_data=NONE
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Full Path",
FONT BOLD? false
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$fullPathName",
no_attribute_data=NONE
}
]
],
nodes=
[
ITERATION 
{
label="TestConfigurations",
description="",
iteration=
{
source=ASSOCIATION
{
expr="itsDependencies",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_ROW
[

],
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Test Configuration",
FONT BOLD? false,
NEW_COLUMN
[

],
TEXT "not specified (using the active configuration)"
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_ROW
[

],
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Test Configuration",
FONT BOLD? false,
NEW_COLUMN
[

]
]
],
nodes=
[
TEXT 
{
label="TestConfiguration",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="dependsOns",
description="",
iteration=
{
source=ASSOCIATION
{
expr="dependsOn",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="dependsOn",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$fullPathNameIn",
no_attribute_data=NONE
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="TestContextExecutionResults",
description="",
iteration=
{
source=ASSOCIATION
{
expr="controlledfiles",
subclass=""
},
condition=SOME
ADVANCED "$name of [stereotype]=\"TestResult\" or $userDefinedMetaClass=\"TestResult\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_ROW
[

],
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Test Execution Result",
FONT BOLD? false,
NEW_COLUMN
[

],
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\leftonlycolor.jpg"
],
location=
[
TEXT "red"
]
},
TEXT " not executed"
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_ROW
[

],
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Test Execution Result",
FONT BOLD? false,
NEW_COLUMN
[

]
]
],
nodes=
[
TEXT 
{
label="TestContextExecutionResult",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="GREENIcon",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
ADVANCED "$name=\"Verdict\" and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\") and ($value =\"Passed\")",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Icon",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\rightonlycolor.jpg"
],
location=
[
TEXT "red"
]
}
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="REDIcon",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
ADVANCED "$name=\"Verdict\" and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\") and $value <>\"Passed\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Icon",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\diffcolor.jpg"
],
location=
[
TEXT "red"
]
}
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Tags",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
ADVANCED "($name = \"Verdict\") and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\")",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="iterate over Tags",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT " ",
FONT BOLD? true,
ATTRIBUTE
{
expr="$value",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "undefined"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
FONT BOLD? false,
TEXT ". "
]
],
nodes=
[

]
}
]
},
TEXT 
{
label="TestExecutionReport",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "For further information open the corresponding ",
CROSSREF
{
xreftext=
[
TEXT "Test Result Report"
],
bookmark=
[
ATTRIBUTE "$fullPathFileName"
]
},
TEXT ".",
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
TEXT 
{
label="TestContextTable_End",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
END_TABLE
]
],
nodes=
[

]
},
ITERATION 
{
label="TestCasesTable_Begin",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=SOME
ADVANCED "$name of [stereotype]=\"TestCase\" or $userDefinedMetaClass=\"TestCase\"",
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=true
}
],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BEGIN_TABLE,
NEW_ROW
[

],
NEW_COLUMN
[

],
TEXT "no test cases defined"
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Test Cases",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BEGIN_TABLE,
NEW_ROW
[

],
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Description",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Test Objective",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Requirement",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Test Execution Result",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="TestCase",
description="[NEW COLUMN][ALIGNMENT: CENTER][BOOKMARK: name=($GUID)]$name;\"\"[ALIGNMENT: ALIGN LEFT][NEW COLUMN][ALIGNMENT: CENTER]if size [returnType]>0 then\r\n\t$name of [returnType] else $name of [returns];\"\"[ALIGNMENT: ALIGN LEFT][NEW COLUMN][ALIGNMENT: CENTER]$descriptionHTML;\"\"[ALIGNMENT: ALIGN LEFT]",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_ROW
[

]
]
],
nodes=
[
TEXT 
{
label="TestCaseName",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name"
],
bookmark=
[
ATTRIBUTE "$GUID"
]
}
]
],
nodes=
[

]
},
TEXT 
{
label="TestCaseDescription",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=NONE
}
]
],
nodes=
[

]
},
ITERATION 
{
label="TestObjectives",
description="",
iteration=
{
source=ASSOCIATION
{
expr="itsDependencies",
subclass=""
},
condition=SOME
ADVANCED "$name of [stereotype]=\"TestObjective\" or $userDefinedMetaClass=\"TestObjective\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
TEXT "---"
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name of [dependsOn]"
],
bookmark=
[
ATTRIBUTE "$GUID of [dependsOn]"
]
},
TEXT " (",
ATTRIBUTE
{
expr="$userDefinedMetaClass of [dependsOn]",
no_attribute_data=NONE
},
TEXT ")",
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Requirements",
description="",
iteration=
{
source=ASSOCIATION
{
expr="itsDependencies",
subclass=""
},
condition=SOME
ADVANCED "$name of [stereotype]=\"TestObjective\" or $userDefinedMetaClass=\"TestObjective\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
TEXT "---"
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="[dependsOn]->[itsDependencies]",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$name of [stereotype]",
rhs=STRING "\"trace\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name of [dependsOn]"
],
bookmark=
[
ATTRIBUTE "$GUID of [dependsOn]"
]
},
TEXT " (",
ATTRIBUTE
{
expr="$userDefinedMetaClass of [dependsOn]",
no_attribute_data=NONE
},
TEXT ")",
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
ITERATION 
{
label="TestResults",
description="",
iteration=
{
source=ASSOCIATION
{
expr="controlledfiles",
subclass=""
},
condition=SOME
ADVANCED "$name of [stereotype]=\"TestResult\" or $userDefinedMetaClass=\"TestResult\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\leftonlycolor.jpg"
],
location=
[
TEXT "red"
]
},
TEXT " not executed",
FONT BOLD? false
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
TEXT " "
]
],
nodes=
[
TEXT 
{
label="iterate over TestResults",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="GREENIcon",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
ADVANCED "$name=\"Verdict\" and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\") and ($value =\"Passed\")",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Icon",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\rightonlycolor.jpg"
],
location=
[
TEXT "red"
]
}
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="REDIcon",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
ADVANCED "$name=\"Verdict\" and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\") and $value <>\"Passed\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Icon",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\diffcolor.jpg"
],
location=
[
TEXT "red"
]
}
]
],
nodes=
[

]
}
]
},
TEXT 
{
label="Tags",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT " ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "$value of  [tags] { $name = \"Verdict\" and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\")} "
],
bookmark=
[
ATTRIBUTE "$fullPathFileName"
]
}
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
},
TEXT 
{
label="TestCasesTable_End",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
END_TABLE
]
],
nodes=
[

]
},
ITERATION 
{
label="TestCasesDetails",
description="",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=SOME
ADVANCED "$name of [stereotype]=\"TestCase\" or $userDefinedMetaClass=\"TestCase\"",
sort=
[
{
expr="$name",
ascending?=true,
numeric?=false,
case_sensitive?=true
}
],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="TestCase",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Test Case ",
BOOKMARK
[
ATTRIBUTE "$GUID"
],
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="DescriptionTable_Begin",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BEGIN_TABLE,
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Description",
FONT BOLD? false
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "no description"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
NEW_ROW
[

]
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Test Execution Result",
FONT BOLD? false
]
],
nodes=
[
ITERATION 
{
label="TestResults",
description="",
iteration=
{
source=ASSOCIATION
{
expr="controlledfiles",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
FONT BOLD? true,
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\leftonlycolor.jpg"
],
location=
[
TEXT "red"
]
},
TEXT " not executed",
FONT BOLD? false
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
TEXT " "
]
],
nodes=
[
TEXT 
{
label="iterate over TestResults",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
ITERATION 
{
label="GREENIcon",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
ADVANCED "$name=\"Verdict\" and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\") and ($value =\"Passed\")",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Icon",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\rightonlycolor.jpg"
],
location=
[
TEXT "red"
]
}
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="REDIcon",
description="",
iteration=
{
source=ASSOCIATION
{
expr="tags",
subclass=""
},
condition=SOME
ADVANCED "$name=\"Verdict\" and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\") and $value <>\"Passed\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Icon",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
TEXT "..\\UserFiles\\pixs\\diffcolor.jpg"
],
location=
[
TEXT "red"
]
}
]
],
nodes=
[

]
}
]
},
TEXT 
{
label="Tags",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT " ",
CROSSREF
{
xreftext=
[
ATTRIBUTE "$value of  [tags] { $name = \"Verdict\" and ($fullPathName <> \"TestingProfile::RTC::TestBehavior::TestResult.Verdict\")} "
],
bookmark=
[
ATTRIBUTE "$fullPathFileName"
]
}
]
],
nodes=
[

]
}
]
}
]
}
]
},
TEXT 
{
label="DescriptionTable_End",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
END_TABLE
]
],
nodes=
[

]
},
ITERATION 
{
label="Scenarios",
description="",
iteration=
{
source=ASSOCIATION
{
expr="itsDependencies",
subclass=""
},
condition=SOME
ADVANCED "$name of [stereotype]=\"SDInstance\" or $userDefinedMetaClass=\"SDInstance\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Scenario",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Test Scenario ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path of [dependsOn]"
],
location=
[

]
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
TEXT 
{
label="ActivityFlowChartDiagram",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path of [activityDiagram]"
],
location=
[

]
},
TEXT ".",
LINE_BREAK
]
],
nodes=
[

]
},
TEXT 
{
label="SourceCode",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$opnBody",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
},
ITERATION 
{
label="TestObjectivesTable_Begin",
description="",
iteration=
{
source=ASSOCIATION
{
expr="itsDependencies",
subclass=""
},
condition=SOME
ADVANCED "$name of [stereotype]=\"TestObjective\" or $userDefinedMetaClass=\"TestObjective\"",
sort=[],
recursive?=false,
separator=[],
no_iteration_data=TEXT_ONLY
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BEGIN_TABLE,
NEW_ROW
[

],
NEW_COLUMN
[

],
TEXT "no test objectives defined"
]
],
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Test Objectives",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
BEGIN_TABLE,
NEW_ROW
[

],
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name of",
LINE_BREAK
],
COMPOSITE
[
TEXT "Test Objective",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name of ",
LINE_BREAK
],
COMPOSITE
[
TEXT "Anchored Model Element",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Metaclass of ",
LINE_BREAK
],
COMPOSITE
[
TEXT "Anchored Model Element",
FONT BOLD? false,
NEW_COLUMN
[

],
FONT BOLD? true,
TEXT "Name of ",
LINE_BREAK
],
COMPOSITE
[
TEXT "Requirement",
FONT BOLD? false
]
],
nodes=
[
TEXT 
{
label="TestObjective",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_ROW
[

]
]
],
nodes=
[
TEXT 
{
label="TestObjectiveName",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
}
]
],
nodes=
[

]
},
TEXT 
{
label="AnchoredModelElementName",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

],
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name of [dependsOn]"
],
bookmark=
[
ATTRIBUTE "$GUID of [dependsOn]"
]
}
]
],
nodes=
[

]
},
TEXT 
{
label="AnchoredModelElementMetaclass",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
],
COMPOSITE
[
ATTRIBUTE
{
expr="$userDefinedMetaClass of [dependsOn]",
no_attribute_data=NONE
}
]
],
nodes=
[

]
},
ITERATION 
{
label="",
description="",
iteration=
{
source=ASSOCIATION
{
expr="[dependsOn]->[itsDependencies]",
subclass=""
},
condition=SOME
SIMPLE OPERATION
{
op="=",
lhs="$name of [stereotype]",
rhs=STRING "\"trace\""
},
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
NEW_COLUMN
[

]
]
],
nodes=
[
TEXT 
{
label="",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
CROSSREF
{
xreftext=
[
ATTRIBUTE "$name of [dependsOn]"
],
bookmark=
[
ATTRIBUTE "$GUID of [dependsOn]"
]
},
TEXT " ",
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
},
TEXT 
{
label="TestObjectivesTable_End",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
END_TABLE,
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
